External v1
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
Base URLs:
Authentication
API Key (Bearer)
- Parameter Name: Authorization, in: header. Bearer Authentication
oAuth2 authentication. This API uses OAuth 2 with the auth code grant flow. In order to get OAuth details, organisers need to contact support: https://support.ringcentral.com/events.html/.
- Flow: authorizationCode
- Authorization URL = /oauth/authorize
- Token URL = /oauth/token
| Scope | Scope Description |
|---|
Health Check
Checks if all systems are operational
Code samples
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.events.ringcentral.com/v1/health',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.events.ringcentral.com/v1/health', headers = headers)
print(r.json())
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/health',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
GET /v1/health
Example responses
200 Response
{
"status": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | All systems are up | Inline |
| 401 | Unauthorized | authentication failed | errors |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » status | string | false | none | none |
Tags
Returns the list of tags for a Booth
Code samples
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.events.ringcentral.com/v1/booths/:boothId/tags',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.events.ringcentral.com/v1/booths/:boothId/tags', headers = headers)
print(r.json())
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/booths/:boothId/tags',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
GET /v1/booths/:boothId/tags
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | integer | false | Page number of a list of resources |
| perPage | query | integer | false | Number of items per page |
| boothId | path | string | true | none |
Example responses
200 Response
{
"data": [
{
"id": "string",
"type": "tag",
"attributes": {
"id": "string",
"name": "string"
}
}
],
"meta": {
"count": 0
},
"links": {
"first": "string",
"self": "string",
"last": "string",
"prev": "string",
"next": "string"
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Returns the list of tags for a booth | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 403 | Forbidden | forbidden | errors |
| 404 | Not Found | not found | errors |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | [tag] | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» id | string | true | none | none |
| »»» name | string | true | none | none |
| » meta | listMeta | true | none | Additional details for a list |
| »» count | integer | true | none | Total count of list items |
| » links | listLinks | true | none | Pagination links |
| »» first | string | true | none | First page URL |
| »» self | string | true | none | Current page URL |
| »» last | string | true | none | Last page URL |
| »» prev | string¦null | false | none | Previous page URL |
| »» next | string¦null | false | none | Next page URL |
Enumerated Values
| Property | Value |
|---|---|
| type | tag |
Returns the list of tags for a ScheduleItem
Code samples
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.events.ringcentral.com/v1/scheduleItems/:scheduleId/tags',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.events.ringcentral.com/v1/scheduleItems/:scheduleId/tags', headers = headers)
print(r.json())
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/scheduleItems/:scheduleId/tags',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
GET /v1/scheduleItems/:scheduleId/tags
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | integer | false | Page number of a list of resources |
| perPage | query | integer | false | Number of items per page |
| eventId | path | string | true | none |
Example responses
200 Response
{
"data": [
{
"id": "string",
"type": "tag",
"attributes": {
"id": "string",
"name": "string"
}
}
],
"meta": {
"count": 0
},
"links": {
"first": "string",
"self": "string",
"last": "string",
"prev": "string",
"next": "string"
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Returns the list of tags for a schedule | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 403 | Forbidden | forbidden | errors |
| 404 | Not Found | not found | errors |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | [tag] | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» id | string | true | none | none |
| »»» name | string | true | none | none |
| » meta | listMeta | true | none | Additional details for a list |
| »» count | integer | true | none | Total count of list items |
| » links | listLinks | true | none | Pagination links |
| »» first | string | true | none | First page URL |
| »» self | string | true | none | Current page URL |
| »» last | string | true | none | Last page URL |
| »» prev | string¦null | false | none | Previous page URL |
| »» next | string¦null | false | none | Next page URL |
Enumerated Values
| Property | Value |
|---|---|
| type | tag |
Booths
Returns the list of booths for user's organization's event
Code samples
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.events.ringcentral.com/v1/events/{eventId}/booths',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.events.ringcentral.com/v1/events/{eventId}/booths', headers = headers)
print(r.json())
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/events/{eventId}/booths',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
GET /v1/events/{eventId}/booths
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | integer | false | Page number of a list of resources |
| perPage | query | integer | false | Number of items per page |
| eventId | path | string | true | none |
Example responses
200 Response
{
"data": [
{
"id": "string",
"type": "booth",
"attributes": {
"about": "string",
"boothSize": "string",
"createdAt": "2019-08-24T14:15:22Z",
"email": "string",
"facebook": "string",
"headline": "string",
"id": "string",
"instagram": "string",
"linkedin": "string",
"name": "string",
"priority": 0,
"twitter": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"website": "string"
}
}
],
"meta": {
"count": 0
},
"links": {
"first": "string",
"self": "string",
"last": "string",
"prev": "string",
"next": "string"
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Returns the list of booths for user's organization's event | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 403 | Forbidden | forbidden | errors |
| 404 | Not Found | not found | errors |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | [booth] | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» about | string¦null | true | none | none |
| »»» boothSize | string | true | none | none |
| »»» createdAt | string(date-time) | true | none | none |
| string¦null | true | none | none | |
| string¦null | true | none | none | |
| »»» headline | string¦null | true | none | none |
| »»» id | string | true | none | none |
| string¦null | true | none | none | |
| string¦null | true | none | none | |
| »»» name | string | true | none | none |
| »»» priority | integer | true | none | none |
| string¦null | true | none | none | |
| »»» updatedAt | string(date-time) | true | none | none |
| »»» website | string¦null | true | none | none |
| » meta | listMeta | true | none | Additional details for a list |
| »» count | integer | true | none | Total count of list items |
| » links | listLinks | true | none | Pagination links |
| »» first | string | true | none | First page URL |
| »» self | string | true | none | Current page URL |
| »» last | string | true | none | Last page URL |
| »» prev | string¦null | false | none | Previous page URL |
| »» next | string¦null | false | none | Next page URL |
Enumerated Values
| Property | Value |
|---|---|
| type | booth |
Data Subscriptions
Create a new data subscription
Code samples
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.post 'https://api.events.ringcentral.com/v1/events/{eventId}/dataSubscriptions',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.post('https://api.events.ringcentral.com/v1/events/{eventId}/dataSubscriptions', headers = headers)
print(r.json())
const inputBody = '{
"data": {
"type": "dataSubscription",
"attributes": {
"configuration": {
"url": "string",
"type": "string",
"expiresAt": "2019-08-24T14:15:22Z"
},
"signals": [
"attendance"
]
}
}
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.events.ringcentral.com/v1/events/{eventId}/dataSubscriptions',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
POST /v1/events/{eventId}/dataSubscriptions
Body parameter
{
"data": {
"type": "dataSubscription",
"attributes": {
"configuration": {
"url": "string",
"type": "string",
"expiresAt": "2019-08-24T14:15:22Z"
},
"signals": [
"attendance"
]
}
}
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| eventId | path | string | true | none |
| body | body | object | false | none |
| » data | body | object | true | none |
| »» type | body | string | true | Resource type |
| »» attributes | body | object | true | none |
| »»» configuration | body | object | false | none |
| »»»» url | body | string | false | none |
| »»»» type | body | string | false | none |
| »»»» expiresAt | body | string(date-time) | false | none |
| »»» signals | body | [string] | false | none |
Enumerated Values
| Parameter | Value |
|---|---|
| »» type | dataSubscription |
| »»» signals | attendance |
| »»» signals | attendedOnsiteSessionArea |
| »»» signals | attendedVirtualSessionArea |
| »»» signals | attendeeCheckedInToEvent |
| »»» signals | attendeeCheckedInToScheduleItem |
| »»» signals | attendeeCheckedOutFromEvent |
| »»» signals | attendeeCheckedOutFromScheduleItem |
| »»» signals | attendeeClickedUrl |
| »»» signals | attendeeEnteredEventArea |
| »»» signals | attendeeFilledMidEventSurvey |
| »»» signals | attendeeFilledPostEventSurvey |
| »»» signals | attendeeLeftEventArea |
| »»» signals | attendeeRegisteredVendorInterest |
| »»» signals | chatMessageSent |
| »»» signals | ctaClicked |
| »»» signals | leadScan |
| »»» signals | meetingBooked |
| »»» signals | timeSpent |
| »»» signals | onsiteSegmentRegistrationCreated |
| »»» signals | votedInAPoll |
| »»» signals | questionAsked |
| »»» signals | registrationQRCreated |
| »»» signals | registrationQRUpdated |
| »»» signals | urlClicked |
| »»» signals | registrationQrCreated |
| »»» signals | registrationQrUpdated |
Example responses
201 Response
{
"data": {
"id": "string",
"type": "dataSubscription",
"attributes": {
"configuration": {
"type": "string",
"url": "string"
},
"eventId": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"id": "string",
"signals": [
"string"
]
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Create a new data subscription | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 403 | Forbidden | forbidden | errors |
| 404 | Not Found | not found | errors |
Response Schema
Status Code 201
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | dataSubscription | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» configuration | object | true | none | none |
| »»»» type | string | false | none | none |
| »»»» url | string¦null | false | none | none |
| »»» eventId | string | true | none | none |
| »»» expiresAt | string(date-time) | true | none | none |
| »»» id | string | true | none | none |
| »»» signals | [string] | true | none | list of signals |
Enumerated Values
| Property | Value |
|---|---|
| type | dataSubscription |
Events
Duplicates an existing event
Code samples
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.events.ringcentral.com/v1/events/{eventId}/duplications',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.events.ringcentral.com/v1/events/{eventId}/duplications', headers = headers)
print(r.json())
const inputBody = '{
"data": {
"type": "event",
"attributes": {
"metadata": {},
"name": "string",
"organizationId": "string",
"password": "string",
"timeEnd": "2019-08-24T14:15:22Z",
"timeStart": "2019-08-24T14:15:22Z",
"timezone": "Abu Dhabi",
"type": "hidden_event"
}
}
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/events/{eventId}/duplications',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
POST /v1/events/{eventId}/duplications
Body parameter
{
"data": {
"type": "event",
"attributes": {
"metadata": {},
"name": "string",
"organizationId": "string",
"password": "string",
"timeEnd": "2019-08-24T14:15:22Z",
"timeStart": "2019-08-24T14:15:22Z",
"timezone": "Abu Dhabi",
"type": "hidden_event"
}
}
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| eventId | path | string | true | none |
| body | body | object | false | none |
| » data | body | object | true | none |
| »» type | body | string | true | Resource type |
| »» attributes | body | object | true | none |
| »»» metadata | body | object | false | none |
| »»» name | body | string | false | none |
| »»» organizationId | body | string | false | none |
| »»» password | body | string | false | none |
| »»» timeEnd | body | string(date-time) | false | none |
| »»» timeStart | body | string(date-time) | false | none |
| »»» timezone | body | string | false | none |
| »»» type | body | string | false | none |
Enumerated Values
| Parameter | Value |
|---|---|
| »» type | event |
| »»» timezone | Abu Dhabi |
| »»» timezone | Adelaide |
| »»» timezone | Africa/Abidjan |
| »»» timezone | Africa/Accra |
| »»» timezone | Africa/Addis_Ababa |
| »»» timezone | Africa/Algiers |
| »»» timezone | Africa/Asmara |
| »»» timezone | Africa/Asmera |
| »»» timezone | Africa/Bamako |
| »»» timezone | Africa/Bangui |
| »»» timezone | Africa/Banjul |
| »»» timezone | Africa/Bissau |
| »»» timezone | Africa/Blantyre |
| »»» timezone | Africa/Brazzaville |
| »»» timezone | Africa/Bujumbura |
| »»» timezone | Africa/Cairo |
| »»» timezone | Africa/Casablanca |
| »»» timezone | Africa/Ceuta |
| »»» timezone | Africa/Conakry |
| »»» timezone | Africa/Dakar |
| »»» timezone | Africa/Dar_es_Salaam |
| »»» timezone | Africa/Djibouti |
| »»» timezone | Africa/Douala |
| »»» timezone | Africa/El_Aaiun |
| »»» timezone | Africa/Freetown |
| »»» timezone | Africa/Gaborone |
| »»» timezone | Africa/Harare |
| »»» timezone | Africa/Johannesburg |
| »»» timezone | Africa/Juba |
| »»» timezone | Africa/Kampala |
| »»» timezone | Africa/Khartoum |
| »»» timezone | Africa/Kigali |
| »»» timezone | Africa/Kinshasa |
| »»» timezone | Africa/Lagos |
| »»» timezone | Africa/Libreville |
| »»» timezone | Africa/Lome |
| »»» timezone | Africa/Luanda |
| »»» timezone | Africa/Lubumbashi |
| »»» timezone | Africa/Lusaka |
| »»» timezone | Africa/Malabo |
| »»» timezone | Africa/Maputo |
| »»» timezone | Africa/Maseru |
| »»» timezone | Africa/Mbabane |
| »»» timezone | Africa/Mogadishu |
| »»» timezone | Africa/Monrovia |
| »»» timezone | Africa/Nairobi |
| »»» timezone | Africa/Ndjamena |
| »»» timezone | Africa/Niamey |
| »»» timezone | Africa/Nouakchott |
| »»» timezone | Africa/Ouagadougou |
| »»» timezone | Africa/Porto-Novo |
| »»» timezone | Africa/Sao_Tome |
| »»» timezone | Africa/Timbuktu |
| »»» timezone | Africa/Tripoli |
| »»» timezone | Africa/Tunis |
| »»» timezone | Africa/Windhoek |
| »»» timezone | Alaska |
| »»» timezone | Almaty |
| »»» timezone | America/Adak |
| »»» timezone | America/Anchorage |
| »»» timezone | America/Anguilla |
| »»» timezone | America/Antigua |
| »»» timezone | America/Araguaina |
| »»» timezone | America/Argentina/Buenos_Aires |
| »»» timezone | America/Argentina/Catamarca |
| »»» timezone | America/Argentina/ComodRivadavia |
| »»» timezone | America/Argentina/Cordoba |
| »»» timezone | America/Argentina/Jujuy |
| »»» timezone | America/Argentina/La_Rioja |
| »»» timezone | America/Argentina/Mendoza |
| »»» timezone | America/Argentina/Rio_Gallegos |
| »»» timezone | America/Argentina/Salta |
| »»» timezone | America/Argentina/San_Juan |
| »»» timezone | America/Argentina/San_Luis |
| »»» timezone | America/Argentina/Tucuman |
| »»» timezone | America/Argentina/Ushuaia |
| »»» timezone | America/Aruba |
| »»» timezone | America/Asuncion |
| »»» timezone | America/Atikokan |
| »»» timezone | America/Atka |
| »»» timezone | America/Bahia |
| »»» timezone | America/Bahia_Banderas |
| »»» timezone | America/Barbados |
| »»» timezone | America/Belem |
| »»» timezone | America/Belize |
| »»» timezone | America/Blanc-Sablon |
| »»» timezone | America/Boa_Vista |
| »»» timezone | America/Bogota |
| »»» timezone | America/Boise |
| »»» timezone | America/Buenos_Aires |
| »»» timezone | America/Cambridge_Bay |
| »»» timezone | America/Campo_Grande |
| »»» timezone | America/Cancun |
| »»» timezone | America/Caracas |
| »»» timezone | America/Catamarca |
| »»» timezone | America/Cayenne |
| »»» timezone | America/Cayman |
| »»» timezone | America/Chicago |
| »»» timezone | America/Chihuahua |
| »»» timezone | America/Ciudad_Juarez |
| »»» timezone | America/Coral_Harbour |
| »»» timezone | America/Cordoba |
| »»» timezone | America/Costa_Rica |
| »»» timezone | America/Creston |
| »»» timezone | America/Cuiaba |
| »»» timezone | America/Curacao |
| »»» timezone | America/Danmarkshavn |
| »»» timezone | America/Dawson |
| »»» timezone | America/Dawson_Creek |
| »»» timezone | America/Denver |
| »»» timezone | America/Detroit |
| »»» timezone | America/Dominica |
| »»» timezone | America/Edmonton |
| »»» timezone | America/Eirunepe |
| »»» timezone | America/El_Salvador |
| »»» timezone | America/Ensenada |
| »»» timezone | America/Fort_Nelson |
| »»» timezone | America/Fort_Wayne |
| »»» timezone | America/Fortaleza |
| »»» timezone | America/Glace_Bay |
| »»» timezone | America/Godthab |
| »»» timezone | America/Goose_Bay |
| »»» timezone | America/Grand_Turk |
| »»» timezone | America/Grenada |
| »»» timezone | America/Guadeloupe |
| »»» timezone | America/Guatemala |
| »»» timezone | America/Guayaquil |
| »»» timezone | America/Guyana |
| »»» timezone | America/Halifax |
| »»» timezone | America/Havana |
| »»» timezone | America/Hermosillo |
| »»» timezone | America/Indiana/Indianapolis |
| »»» timezone | America/Indiana/Knox |
| »»» timezone | America/Indiana/Marengo |
| »»» timezone | America/Indiana/Petersburg |
| »»» timezone | America/Indiana/Tell_City |
| »»» timezone | America/Indiana/Vevay |
| »»» timezone | America/Indiana/Vincennes |
| »»» timezone | America/Indiana/Winamac |
| »»» timezone | America/Indianapolis |
| »»» timezone | America/Inuvik |
| »»» timezone | America/Iqaluit |
| »»» timezone | America/Jamaica |
| »»» timezone | America/Jujuy |
| »»» timezone | America/Juneau |
| »»» timezone | America/Kentucky/Louisville |
| »»» timezone | America/Kentucky/Monticello |
| »»» timezone | America/Knox_IN |
| »»» timezone | America/Kralendijk |
| »»» timezone | America/La_Paz |
| »»» timezone | America/Lima |
| »»» timezone | America/Los_Angeles |
| »»» timezone | America/Louisville |
| »»» timezone | America/Lower_Princes |
| »»» timezone | America/Maceio |
| »»» timezone | America/Managua |
| »»» timezone | America/Manaus |
| »»» timezone | America/Marigot |
| »»» timezone | America/Martinique |
| »»» timezone | America/Matamoros |
| »»» timezone | America/Mazatlan |
| »»» timezone | America/Mendoza |
| »»» timezone | America/Menominee |
| »»» timezone | America/Merida |
| »»» timezone | America/Metlakatla |
| »»» timezone | America/Mexico_City |
| »»» timezone | America/Miquelon |
| »»» timezone | America/Moncton |
| »»» timezone | America/Monterrey |
| »»» timezone | America/Montevideo |
| »»» timezone | America/Montreal |
| »»» timezone | America/Montserrat |
| »»» timezone | America/Nassau |
| »»» timezone | America/New_York |
| »»» timezone | America/Nipigon |
| »»» timezone | America/Nome |
| »»» timezone | America/Noronha |
| »»» timezone | America/North_Dakota/Beulah |
| »»» timezone | America/North_Dakota/Center |
| »»» timezone | America/North_Dakota/New_Salem |
| »»» timezone | America/Nuuk |
| »»» timezone | America/Ojinaga |
| »»» timezone | America/Panama |
| »»» timezone | America/Pangnirtung |
| »»» timezone | America/Paramaribo |
| »»» timezone | America/Phoenix |
| »»» timezone | America/Port-au-Prince |
| »»» timezone | America/Port_of_Spain |
| »»» timezone | America/Porto_Acre |
| »»» timezone | America/Porto_Velho |
| »»» timezone | America/Puerto_Rico |
| »»» timezone | America/Punta_Arenas |
| »»» timezone | America/Rainy_River |
| »»» timezone | America/Rankin_Inlet |
| »»» timezone | America/Recife |
| »»» timezone | America/Regina |
| »»» timezone | America/Resolute |
| »»» timezone | America/Rio_Branco |
| »»» timezone | America/Rosario |
| »»» timezone | America/Santa_Isabel |
| »»» timezone | America/Santarem |
| »»» timezone | America/Santiago |
| »»» timezone | America/Santo_Domingo |
| »»» timezone | America/Sao_Paulo |
| »»» timezone | America/Scoresbysund |
| »»» timezone | America/Shiprock |
| »»» timezone | America/Sitka |
| »»» timezone | America/St_Barthelemy |
| »»» timezone | America/St_Johns |
| »»» timezone | America/St_Kitts |
| »»» timezone | America/St_Lucia |
| »»» timezone | America/St_Thomas |
| »»» timezone | America/St_Vincent |
| »»» timezone | America/Swift_Current |
| »»» timezone | America/Tegucigalpa |
| »»» timezone | America/Thule |
| »»» timezone | America/Thunder_Bay |
| »»» timezone | America/Tijuana |
| »»» timezone | America/Toronto |
| »»» timezone | America/Tortola |
| »»» timezone | America/Vancouver |
| »»» timezone | America/Virgin |
| »»» timezone | America/Whitehorse |
| »»» timezone | America/Winnipeg |
| »»» timezone | America/Yakutat |
| »»» timezone | America/Yellowknife |
| »»» timezone | American Samoa |
| »»» timezone | Amsterdam |
| »»» timezone | Antarctica/Casey |
| »»» timezone | Antarctica/Davis |
| »»» timezone | Antarctica/DumontDUrville |
| »»» timezone | Antarctica/Macquarie |
| »»» timezone | Antarctica/Mawson |
| »»» timezone | Antarctica/McMurdo |
| »»» timezone | Antarctica/Palmer |
| »»» timezone | Antarctica/Rothera |
| »»» timezone | Antarctica/South_Pole |
| »»» timezone | Antarctica/Syowa |
| »»» timezone | Antarctica/Troll |
| »»» timezone | Antarctica/Vostok |
| »»» timezone | Arctic/Longyearbyen |
| »»» timezone | Arizona |
| »»» timezone | Asia/Aden |
| »»» timezone | Asia/Almaty |
| »»» timezone | Asia/Amman |
| »»» timezone | Asia/Anadyr |
| »»» timezone | Asia/Aqtau |
| »»» timezone | Asia/Aqtobe |
| »»» timezone | Asia/Ashgabat |
| »»» timezone | Asia/Ashkhabad |
| »»» timezone | Asia/Atyrau |
| »»» timezone | Asia/Baghdad |
| »»» timezone | Asia/Bahrain |
| »»» timezone | Asia/Baku |
| »»» timezone | Asia/Bangkok |
| »»» timezone | Asia/Barnaul |
| »»» timezone | Asia/Beirut |
| »»» timezone | Asia/Bishkek |
| »»» timezone | Asia/Brunei |
| »»» timezone | Asia/Calcutta |
| »»» timezone | Asia/Chita |
| »»» timezone | Asia/Choibalsan |
| »»» timezone | Asia/Chongqing |
| »»» timezone | Asia/Chungking |
| »»» timezone | Asia/Colombo |
| »»» timezone | Asia/Dacca |
| »»» timezone | Asia/Damascus |
| »»» timezone | Asia/Dhaka |
| »»» timezone | Asia/Dili |
| »»» timezone | Asia/Dubai |
| »»» timezone | Asia/Dushanbe |
| »»» timezone | Asia/Famagusta |
| »»» timezone | Asia/Gaza |
| »»» timezone | Asia/Harbin |
| »»» timezone | Asia/Hebron |
| »»» timezone | Asia/Ho_Chi_Minh |
| »»» timezone | Asia/Hong_Kong |
| »»» timezone | Asia/Hovd |
| »»» timezone | Asia/Irkutsk |
| »»» timezone | Asia/Istanbul |
| »»» timezone | Asia/Jakarta |
| »»» timezone | Asia/Jayapura |
| »»» timezone | Asia/Jerusalem |
| »»» timezone | Asia/Kabul |
| »»» timezone | Asia/Kamchatka |
| »»» timezone | Asia/Karachi |
| »»» timezone | Asia/Kashgar |
| »»» timezone | Asia/Kathmandu |
| »»» timezone | Asia/Katmandu |
| »»» timezone | Asia/Khandyga |
| »»» timezone | Asia/Kolkata |
| »»» timezone | Asia/Krasnoyarsk |
| »»» timezone | Asia/Kuala_Lumpur |
| »»» timezone | Asia/Kuching |
| »»» timezone | Asia/Kuwait |
| »»» timezone | Asia/Macao |
| »»» timezone | Asia/Macau |
| »»» timezone | Asia/Magadan |
| »»» timezone | Asia/Makassar |
| »»» timezone | Asia/Manila |
| »»» timezone | Asia/Muscat |
| »»» timezone | Asia/Nicosia |
| »»» timezone | Asia/Novokuznetsk |
| »»» timezone | Asia/Novosibirsk |
| »»» timezone | Asia/Omsk |
| »»» timezone | Asia/Oral |
| »»» timezone | Asia/Phnom_Penh |
| »»» timezone | Asia/Pontianak |
| »»» timezone | Asia/Pyongyang |
| »»» timezone | Asia/Qatar |
| »»» timezone | Asia/Qostanay |
| »»» timezone | Asia/Qyzylorda |
| »»» timezone | Asia/Rangoon |
| »»» timezone | Asia/Riyadh |
| »»» timezone | Asia/Saigon |
| »»» timezone | Asia/Sakhalin |
| »»» timezone | Asia/Samarkand |
| »»» timezone | Asia/Seoul |
| »»» timezone | Asia/Shanghai |
| »»» timezone | Asia/Singapore |
| »»» timezone | Asia/Srednekolymsk |
| »»» timezone | Asia/Taipei |
| »»» timezone | Asia/Tashkent |
| »»» timezone | Asia/Tbilisi |
| »»» timezone | Asia/Tehran |
| »»» timezone | Asia/Tel_Aviv |
| »»» timezone | Asia/Thimbu |
| »»» timezone | Asia/Thimphu |
| »»» timezone | Asia/Tokyo |
| »»» timezone | Asia/Tomsk |
| »»» timezone | Asia/Ujung_Pandang |
| »»» timezone | Asia/Ulaanbaatar |
| »»» timezone | Asia/Ulan_Bator |
| »»» timezone | Asia/Urumqi |
| »»» timezone | Asia/Ust-Nera |
| »»» timezone | Asia/Vientiane |
| »»» timezone | Asia/Vladivostok |
| »»» timezone | Asia/Yakutsk |
| »»» timezone | Asia/Yangon |
| »»» timezone | Asia/Yekaterinburg |
| »»» timezone | Asia/Yerevan |
| »»» timezone | Astana |
| »»» timezone | Athens |
| »»» timezone | Atlantic Time (Canada) |
| »»» timezone | Atlantic/Azores |
| »»» timezone | Atlantic/Bermuda |
| »»» timezone | Atlantic/Canary |
| »»» timezone | Atlantic/Cape_Verde |
| »»» timezone | Atlantic/Faeroe |
| »»» timezone | Atlantic/Faroe |
| »»» timezone | Atlantic/Jan_Mayen |
| »»» timezone | Atlantic/Madeira |
| »»» timezone | Atlantic/Reykjavik |
| »»» timezone | Atlantic/South_Georgia |
| »»» timezone | Atlantic/St_Helena |
| »»» timezone | Atlantic/Stanley |
| »»» timezone | Auckland |
| »»» timezone | Australia/ACT |
| »»» timezone | Australia/Adelaide |
| »»» timezone | Australia/Brisbane |
| »»» timezone | Australia/Broken_Hill |
| »»» timezone | Australia/Canberra |
| »»» timezone | Australia/Currie |
| »»» timezone | Australia/Darwin |
| »»» timezone | Australia/Eucla |
| »»» timezone | Australia/Hobart |
| »»» timezone | Australia/LHI |
| »»» timezone | Australia/Lindeman |
| »»» timezone | Australia/Lord_Howe |
| »»» timezone | Australia/Melbourne |
| »»» timezone | Australia/NSW |
| »»» timezone | Australia/North |
| »»» timezone | Australia/Perth |
| »»» timezone | Australia/Queensland |
| »»» timezone | Australia/South |
| »»» timezone | Australia/Sydney |
| »»» timezone | Australia/Tasmania |
| »»» timezone | Australia/Victoria |
| »»» timezone | Australia/West |
| »»» timezone | Australia/Yancowinna |
| »»» timezone | Azores |
| »»» timezone | Baghdad |
| »»» timezone | Baku |
| »»» timezone | Bangkok |
| »»» timezone | Beijing |
| »»» timezone | Belgrade |
| »»» timezone | Berlin |
| »»» timezone | Bern |
| »»» timezone | Bogota |
| »»» timezone | Brasilia |
| »»» timezone | Bratislava |
| »»» timezone | Brazil/Acre |
| »»» timezone | Brazil/DeNoronha |
| »»» timezone | Brazil/East |
| »»» timezone | Brazil/West |
| »»» timezone | Brisbane |
| »»» timezone | Brussels |
| »»» timezone | Bucharest |
| »»» timezone | Budapest |
| »»» timezone | Buenos Aires |
| »»» timezone | CET |
| »»» timezone | CST6CDT |
| »»» timezone | Cairo |
| »»» timezone | Canada/Atlantic |
| »»» timezone | Canada/Central |
| »»» timezone | Canada/Eastern |
| »»» timezone | Canada/Mountain |
| »»» timezone | Canada/Newfoundland |
| »»» timezone | Canada/Pacific |
| »»» timezone | Canada/Saskatchewan |
| »»» timezone | Canada/Yukon |
| »»» timezone | Canberra |
| »»» timezone | Cape Verde Is. |
| »»» timezone | Caracas |
| »»» timezone | Casablanca |
| »»» timezone | Central America |
| »»» timezone | Central Time (US & Canada) |
| »»» timezone | Chatham Is. |
| »»» timezone | Chennai |
| »»» timezone | Chihuahua |
| »»» timezone | Chile/Continental |
| »»» timezone | Chile/EasterIsland |
| »»» timezone | Chongqing |
| »»» timezone | Copenhagen |
| »»» timezone | Cuba |
| »»» timezone | Darwin |
| »»» timezone | Dhaka |
| »»» timezone | Dublin |
| »»» timezone | EET |
| »»» timezone | EST |
| »»» timezone | EST5EDT |
| »»» timezone | Eastern Time (US & Canada) |
| »»» timezone | Edinburgh |
| »»» timezone | Egypt |
| »»» timezone | Eire |
| »»» timezone | Ekaterinburg |
| »»» timezone | Etc/GMT |
| »»» timezone | Etc/GMT+0 |
| »»» timezone | Etc/GMT+1 |
| »»» timezone | Etc/GMT+10 |
| »»» timezone | Etc/GMT+11 |
| »»» timezone | Etc/GMT+12 |
| »»» timezone | Etc/GMT+2 |
| »»» timezone | Etc/GMT+3 |
| »»» timezone | Etc/GMT+4 |
| »»» timezone | Etc/GMT+5 |
| »»» timezone | Etc/GMT+6 |
| »»» timezone | Etc/GMT+7 |
| »»» timezone | Etc/GMT+8 |
| »»» timezone | Etc/GMT+9 |
| »»» timezone | Etc/GMT-0 |
| »»» timezone | Etc/GMT-1 |
| »»» timezone | Etc/GMT-10 |
| »»» timezone | Etc/GMT-11 |
| »»» timezone | Etc/GMT-12 |
| »»» timezone | Etc/GMT-13 |
| »»» timezone | Etc/GMT-14 |
| »»» timezone | Etc/GMT-2 |
| »»» timezone | Etc/GMT-3 |
| »»» timezone | Etc/GMT-4 |
| »»» timezone | Etc/GMT-5 |
| »»» timezone | Etc/GMT-6 |
| »»» timezone | Etc/GMT-7 |
| »»» timezone | Etc/GMT-8 |
| »»» timezone | Etc/GMT-9 |
| »»» timezone | Etc/GMT0 |
| »»» timezone | Etc/Greenwich |
| »»» timezone | Etc/UCT |
| »»» timezone | Etc/UTC |
| »»» timezone | Etc/Universal |
| »»» timezone | Etc/Zulu |
| »»» timezone | Europe/Amsterdam |
| »»» timezone | Europe/Andorra |
| »»» timezone | Europe/Astrakhan |
| »»» timezone | Europe/Athens |
| »»» timezone | Europe/Belfast |
| »»» timezone | Europe/Belgrade |
| »»» timezone | Europe/Berlin |
| »»» timezone | Europe/Bratislava |
| »»» timezone | Europe/Brussels |
| »»» timezone | Europe/Bucharest |
| »»» timezone | Europe/Budapest |
| »»» timezone | Europe/Busingen |
| »»» timezone | Europe/Chisinau |
| »»» timezone | Europe/Copenhagen |
| »»» timezone | Europe/Dublin |
| »»» timezone | Europe/Gibraltar |
| »»» timezone | Europe/Guernsey |
| »»» timezone | Europe/Helsinki |
| »»» timezone | Europe/Isle_of_Man |
| »»» timezone | Europe/Istanbul |
| »»» timezone | Europe/Jersey |
| »»» timezone | Europe/Kaliningrad |
| »»» timezone | Europe/Kiev |
| »»» timezone | Europe/Kirov |
| »»» timezone | Europe/Kyiv |
| »»» timezone | Europe/Lisbon |
| »»» timezone | Europe/Ljubljana |
| »»» timezone | Europe/London |
| »»» timezone | Europe/Luxembourg |
| »»» timezone | Europe/Madrid |
| »»» timezone | Europe/Malta |
| »»» timezone | Europe/Mariehamn |
| »»» timezone | Europe/Minsk |
| »»» timezone | Europe/Monaco |
| »»» timezone | Europe/Moscow |
| »»» timezone | Europe/Nicosia |
| »»» timezone | Europe/Oslo |
| »»» timezone | Europe/Paris |
| »»» timezone | Europe/Podgorica |
| »»» timezone | Europe/Prague |
| »»» timezone | Europe/Riga |
| »»» timezone | Europe/Rome |
| »»» timezone | Europe/Samara |
| »»» timezone | Europe/San_Marino |
| »»» timezone | Europe/Sarajevo |
| »»» timezone | Europe/Saratov |
| »»» timezone | Europe/Simferopol |
| »»» timezone | Europe/Skopje |
| »»» timezone | Europe/Sofia |
| »»» timezone | Europe/Stockholm |
| »»» timezone | Europe/Tallinn |
| »»» timezone | Europe/Tirane |
| »»» timezone | Europe/Tiraspol |
| »»» timezone | Europe/Ulyanovsk |
| »»» timezone | Europe/Uzhgorod |
| »»» timezone | Europe/Vaduz |
| »»» timezone | Europe/Vatican |
| »»» timezone | Europe/Vienna |
| »»» timezone | Europe/Vilnius |
| »»» timezone | Europe/Volgograd |
| »»» timezone | Europe/Warsaw |
| »»» timezone | Europe/Zagreb |
| »»» timezone | Europe/Zaporozhye |
| »»» timezone | Europe/Zurich |
| »»» timezone | Factory |
| »»» timezone | Fiji |
| »»» timezone | GB |
| »»» timezone | GB-Eire |
| »»» timezone | GMT |
| »»» timezone | GMT+0 |
| »»» timezone | GMT-0 |
| »»» timezone | GMT0 |
| »»» timezone | Georgetown |
| »»» timezone | Greenland |
| »»» timezone | Greenwich |
| »»» timezone | Guadalajara |
| »»» timezone | Guam |
| »»» timezone | HST |
| »»» timezone | Hanoi |
| »»» timezone | Harare |
| »»» timezone | Hawaii |
| »»» timezone | Helsinki |
| »»» timezone | Hobart |
| »»» timezone | Hong Kong |
| »»» timezone | Hongkong |
| »»» timezone | Iceland |
| »»» timezone | Indian/Antananarivo |
| »»» timezone | Indian/Chagos |
| »»» timezone | Indian/Christmas |
| »»» timezone | Indian/Cocos |
| »»» timezone | Indian/Comoro |
| »»» timezone | Indian/Kerguelen |
| »»» timezone | Indian/Mahe |
| »»» timezone | Indian/Maldives |
| »»» timezone | Indian/Mauritius |
| »»» timezone | Indian/Mayotte |
| »»» timezone | Indian/Reunion |
| »»» timezone | Indiana (East) |
| »»» timezone | International Date Line West |
| »»» timezone | Iran |
| »»» timezone | Irkutsk |
| »»» timezone | Islamabad |
| »»» timezone | Israel |
| »»» timezone | Istanbul |
| »»» timezone | Jakarta |
| »»» timezone | Jamaica |
| »»» timezone | Japan |
| »»» timezone | Jerusalem |
| »»» timezone | Kabul |
| »»» timezone | Kaliningrad |
| »»» timezone | Kamchatka |
| »»» timezone | Karachi |
| »»» timezone | Kathmandu |
| »»» timezone | Kolkata |
| »»» timezone | Krasnoyarsk |
| »»» timezone | Kuala Lumpur |
| »»» timezone | Kuwait |
| »»» timezone | Kwajalein |
| »»» timezone | Kyiv |
| »»» timezone | La Paz |
| »»» timezone | Libya |
| »»» timezone | Lima |
| »»» timezone | Lisbon |
| »»» timezone | Ljubljana |
| »»» timezone | London |
| »»» timezone | MET |
| »»» timezone | MST |
| »»» timezone | MST7MDT |
| »»» timezone | Madrid |
| »»» timezone | Magadan |
| »»» timezone | Marshall Is. |
| »»» timezone | Mazatlan |
| »»» timezone | Melbourne |
| »»» timezone | Mexico City |
| »»» timezone | Mexico/BajaNorte |
| »»» timezone | Mexico/BajaSur |
| »»» timezone | Mexico/General |
| »»» timezone | Mid-Atlantic |
| »»» timezone | Midway Island |
| »»» timezone | Minsk |
| »»» timezone | Monrovia |
| »»» timezone | Monterrey |
| »»» timezone | Montevideo |
| »»» timezone | Moscow |
| »»» timezone | Mountain Time (US & Canada) |
| »»» timezone | Mumbai |
| »»» timezone | Muscat |
| »»» timezone | NZ |
| »»» timezone | NZ-CHAT |
| »»» timezone | Nairobi |
| »»» timezone | Navajo |
| »»» timezone | New Caledonia |
| »»» timezone | New Delhi |
| »»» timezone | Newfoundland |
| »»» timezone | Novosibirsk |
| »»» timezone | Nuku'alofa |
| »»» timezone | Osaka |
| »»» timezone | PRC |
| »»» timezone | PST8PDT |
| »»» timezone | Pacific Time (US & Canada) |
| »»» timezone | Pacific/Apia |
| »»» timezone | Pacific/Auckland |
| »»» timezone | Pacific/Bougainville |
| »»» timezone | Pacific/Chatham |
| »»» timezone | Pacific/Chuuk |
| »»» timezone | Pacific/Easter |
| »»» timezone | Pacific/Efate |
| »»» timezone | Pacific/Enderbury |
| »»» timezone | Pacific/Fakaofo |
| »»» timezone | Pacific/Fiji |
| »»» timezone | Pacific/Funafuti |
| »»» timezone | Pacific/Galapagos |
| »»» timezone | Pacific/Gambier |
| »»» timezone | Pacific/Guadalcanal |
| »»» timezone | Pacific/Guam |
| »»» timezone | Pacific/Honolulu |
| »»» timezone | Pacific/Johnston |
| »»» timezone | Pacific/Kanton |
| »»» timezone | Pacific/Kiritimati |
| »»» timezone | Pacific/Kosrae |
| »»» timezone | Pacific/Kwajalein |
| »»» timezone | Pacific/Majuro |
| »»» timezone | Pacific/Marquesas |
| »»» timezone | Pacific/Midway |
| »»» timezone | Pacific/Nauru |
| »»» timezone | Pacific/Niue |
| »»» timezone | Pacific/Norfolk |
| »»» timezone | Pacific/Noumea |
| »»» timezone | Pacific/Pago_Pago |
| »»» timezone | Pacific/Palau |
| »»» timezone | Pacific/Pitcairn |
| »»» timezone | Pacific/Pohnpei |
| »»» timezone | Pacific/Ponape |
| »»» timezone | Pacific/Port_Moresby |
| »»» timezone | Pacific/Rarotonga |
| »»» timezone | Pacific/Saipan |
| »»» timezone | Pacific/Samoa |
| »»» timezone | Pacific/Tahiti |
| »»» timezone | Pacific/Tarawa |
| »»» timezone | Pacific/Tongatapu |
| »»» timezone | Pacific/Truk |
| »»» timezone | Pacific/Wake |
| »»» timezone | Pacific/Wallis |
| »»» timezone | Pacific/Yap |
| »»» timezone | Paris |
| »»» timezone | Perth |
| »»» timezone | Poland |
| »»» timezone | Port Moresby |
| »»» timezone | Portugal |
| »»» timezone | Prague |
| »»» timezone | Pretoria |
| »»» timezone | Puerto Rico |
| »»» timezone | Quito |
| »»» timezone | ROC |
| »»» timezone | ROK |
| »»» timezone | Rangoon |
| »»» timezone | Riga |
| »»» timezone | Riyadh |
| »»» timezone | Rome |
| »»» timezone | Samara |
| »»» timezone | Samoa |
| »»» timezone | Santiago |
| »»» timezone | Sapporo |
| »»» timezone | Sarajevo |
| »»» timezone | Saskatchewan |
| »»» timezone | Seoul |
| »»» timezone | Singapore |
| »»» timezone | Skopje |
| »»» timezone | Sofia |
| »»» timezone | Solomon Is. |
| »»» timezone | Srednekolymsk |
| »»» timezone | Sri Jayawardenepura |
| »»» timezone | St. Petersburg |
| »»» timezone | Stockholm |
| »»» timezone | Sydney |
| »»» timezone | Taipei |
| »»» timezone | Tallinn |
| »»» timezone | Tashkent |
| »»» timezone | Tbilisi |
| »»» timezone | Tehran |
| »»» timezone | Tijuana |
| »»» timezone | Tokelau Is. |
| »»» timezone | Tokyo |
| »»» timezone | Turkey |
| »»» timezone | UCT |
| »»» timezone | US/Alaska |
| »»» timezone | US/Aleutian |
| »»» timezone | US/Arizona |
| »»» timezone | US/Central |
| »»» timezone | US/East-Indiana |
| »»» timezone | US/Eastern |
| »»» timezone | US/Hawaii |
| »»» timezone | US/Indiana-Starke |
| »»» timezone | US/Michigan |
| »»» timezone | US/Mountain |
| »»» timezone | US/Pacific |
| »»» timezone | US/Samoa |
| »»» timezone | UTC |
| »»» timezone | Ulaanbaatar |
| »»» timezone | Universal |
| »»» timezone | Urumqi |
| »»» timezone | Vienna |
| »»» timezone | Vilnius |
| »»» timezone | Vladivostok |
| »»» timezone | Volgograd |
| »»» timezone | W-SU |
| »»» timezone | WET |
| »»» timezone | Warsaw |
| »»» timezone | Wellington |
| »»» timezone | West Central Africa |
| »»» timezone | Yakutsk |
| »»» timezone | Yerevan |
| »»» timezone | Zagreb |
| »»» timezone | Zulu |
| »»» timezone | Zurich |
| »»» type | hidden_event |
| »»» type | private_event |
| »»» type | public_event |
Example responses
202 Response
{
"data": {
"id": "string",
"type": "event",
"attributes": {
"createdAt": "string",
"description": "string",
"id": "string",
"metadata": {},
"name": "string",
"published": true,
"slug": "string",
"status": "string",
"timeEnd": "string",
"timeStart": "string",
"timezone": "string",
"type": "string"
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 202 | Accepted | Duplicates the event | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 403 | Forbidden | Returns a request forbidden error | errors |
| 404 | Not Found | not found | errors |
| 422 | Unprocessable Entity | Returns an event validation error | None |
Response Schema
Status Code 202
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | event | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» createdAt | string | true | none | none |
| »»» description | string | true | none | none |
| »»» id | string | true | none | none |
| »»» metadata | object | true | none | none |
| »»» name | string | true | none | none |
| »»» published | boolean | true | none | none |
| »»» slug | string | true | none | none |
| »»» status | string | true | none | none |
| »»» timeEnd | string¦null | true | none | none |
| »»» timeStart | string¦null | true | none | none |
| »»» timezone | string | true | none | none |
| »»» type | string | true | none | none |
Enumerated Values
| Property | Value |
|---|---|
| type | event |
Returns the list of the organization's events
Code samples
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.events.ringcentral.com/v1/organizations/{organizationId}/events',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.events.ringcentral.com/v1/organizations/{organizationId}/events', headers = headers)
print(r.json())
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/organizations/{organizationId}/events',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
GET /v1/organizations/{organizationId}/events
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | integer | false | Page number of a list of resources |
| perPage | query | integer | false | Number of items per page |
| organizationId | path | string | true | none |
Example responses
200 Response
{
"data": [
{
"id": "string",
"type": "event",
"attributes": {
"createdAt": "string",
"description": "string",
"id": "string",
"metadata": {},
"name": "string",
"published": true,
"slug": "string",
"status": "string",
"timeEnd": "string",
"timeStart": "string",
"timezone": "string",
"type": "string"
}
}
],
"meta": {
"count": 0
},
"links": {
"first": "string",
"self": "string",
"last": "string",
"prev": "string",
"next": "string"
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Returns the list of user's organization's events by organization id | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 404 | Not Found | not found | errors |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | [event] | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» createdAt | string | true | none | none |
| »»» description | string | true | none | none |
| »»» id | string | true | none | none |
| »»» metadata | object | true | none | none |
| »»» name | string | true | none | none |
| »»» published | boolean | true | none | none |
| »»» slug | string | true | none | none |
| »»» status | string | true | none | none |
| »»» timeEnd | string¦null | true | none | none |
| »»» timeStart | string¦null | true | none | none |
| »»» timezone | string | true | none | none |
| »»» type | string | true | none | none |
| » meta | listMeta | true | none | Additional details for a list |
| »» count | integer | true | none | Total count of list items |
| » links | listLinks | true | none | Pagination links |
| »» first | string | true | none | First page URL |
| »» self | string | true | none | Current page URL |
| »» last | string | true | none | Last page URL |
| »» prev | string¦null | false | none | Previous page URL |
| »» next | string¦null | false | none | Next page URL |
Enumerated Values
| Property | Value |
|---|---|
| type | event |
Creates an event for the organization
Code samples
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.events.ringcentral.com/v1/organizations/{organizationId}/events',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.events.ringcentral.com/v1/organizations/{organizationId}/events', headers = headers)
print(r.json())
const inputBody = '{
"data": {
"type": "event",
"attributes": {
"analyticsCode": "string",
"attendeesVisibility": "show_all",
"color": "string",
"currency": "string",
"description": "string",
"doorsCloseAfterMinutes": 0,
"doorsOpenBeforeMinutes": 0,
"eventType": "hidden_event",
"gdprText": "string",
"hidePeopleArea": true,
"message": "string",
"name": "string",
"networkType": "everyone",
"password": "pa$$word",
"shortDescription": "string",
"slug": "string",
"suppressEmails": true,
"timeEnd": "2019-08-24T14:15:22Z",
"timeStart": "2019-08-24T14:15:22Z",
"timerLength": 0,
"timezone": "Abu Dhabi"
}
}
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/organizations/{organizationId}/events',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
POST /v1/organizations/{organizationId}/events
Body parameter
{
"data": {
"type": "event",
"attributes": {
"analyticsCode": "string",
"attendeesVisibility": "show_all",
"color": "string",
"currency": "string",
"description": "string",
"doorsCloseAfterMinutes": 0,
"doorsOpenBeforeMinutes": 0,
"eventType": "hidden_event",
"gdprText": "string",
"hidePeopleArea": true,
"message": "string",
"name": "string",
"networkType": "everyone",
"password": "pa$$word",
"shortDescription": "string",
"slug": "string",
"suppressEmails": true,
"timeEnd": "2019-08-24T14:15:22Z",
"timeStart": "2019-08-24T14:15:22Z",
"timerLength": 0,
"timezone": "Abu Dhabi"
}
}
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| organizationId | path | string | true | none |
| body | body | object | false | none |
| » data | body | object | true | none |
| »» type | body | string | true | Resource type |
| »» attributes | body | object | true | none |
| »»» analyticsCode | body | string | false | none |
| »»» attendeesVisibility | body | string | false | Controls how user sees other registered users |
| »»» attendeesVisiblity | body | string | false | Do not use this field, it is deprecated, use attendeesVisiblity instead |
| »»» color | body | string | false | color in HEX format ("#fff") |
| »»» currency | body | string | true | none |
| »»» description | body | string | false | none |
| »»» doorsCloseAfterMinutes | body | integer | false | none |
| »»» doorsOpenBeforeMinutes | body | integer | false | none |
| »»» eventType | body | string | false | none |
| »»» gdprText | body | string | false | none |
| »»» hidePeopleArea | body | boolean | false | none |
| »»» message | body | string | false | none |
| »»» name | body | string | true | none |
| »»» networkType | body | string | false | none |
| »»» password | body | string(password) | false | none |
| »»» shortDescription | body | string | false | none |
| »»» slug | body | string | false | none |
| »»» suppressEmails | body | boolean | false | none |
| »»» timeEnd | body | string(date-time) | true | Event end time |
| »»» timeStart | body | string(date-time) | true | Event start time |
| »»» timerLength | body | integer | false | none |
| »»» timezone | body | string | true | none |
Enumerated Values
| Parameter | Value |
|---|---|
| »» type | event |
| »»» attendeesVisibility | show_all |
| »»» attendeesVisibility | show_list |
| »»» attendeesVisibility | show_none |
| »»» attendeesVisiblity | show_all |
| »»» attendeesVisiblity | show_list |
| »»» attendeesVisiblity | show_none |
| »»» eventType | hidden_event |
| »»» eventType | private_event |
| »»» eventType | public_event |
| »»» networkType | everyone |
| »»» networkType | ticket_holder |
| »»» timezone | Abu Dhabi |
| »»» timezone | Adelaide |
| »»» timezone | Africa/Abidjan |
| »»» timezone | Africa/Accra |
| »»» timezone | Africa/Addis_Ababa |
| »»» timezone | Africa/Algiers |
| »»» timezone | Africa/Asmara |
| »»» timezone | Africa/Asmera |
| »»» timezone | Africa/Bamako |
| »»» timezone | Africa/Bangui |
| »»» timezone | Africa/Banjul |
| »»» timezone | Africa/Bissau |
| »»» timezone | Africa/Blantyre |
| »»» timezone | Africa/Brazzaville |
| »»» timezone | Africa/Bujumbura |
| »»» timezone | Africa/Cairo |
| »»» timezone | Africa/Casablanca |
| »»» timezone | Africa/Ceuta |
| »»» timezone | Africa/Conakry |
| »»» timezone | Africa/Dakar |
| »»» timezone | Africa/Dar_es_Salaam |
| »»» timezone | Africa/Djibouti |
| »»» timezone | Africa/Douala |
| »»» timezone | Africa/El_Aaiun |
| »»» timezone | Africa/Freetown |
| »»» timezone | Africa/Gaborone |
| »»» timezone | Africa/Harare |
| »»» timezone | Africa/Johannesburg |
| »»» timezone | Africa/Juba |
| »»» timezone | Africa/Kampala |
| »»» timezone | Africa/Khartoum |
| »»» timezone | Africa/Kigali |
| »»» timezone | Africa/Kinshasa |
| »»» timezone | Africa/Lagos |
| »»» timezone | Africa/Libreville |
| »»» timezone | Africa/Lome |
| »»» timezone | Africa/Luanda |
| »»» timezone | Africa/Lubumbashi |
| »»» timezone | Africa/Lusaka |
| »»» timezone | Africa/Malabo |
| »»» timezone | Africa/Maputo |
| »»» timezone | Africa/Maseru |
| »»» timezone | Africa/Mbabane |
| »»» timezone | Africa/Mogadishu |
| »»» timezone | Africa/Monrovia |
| »»» timezone | Africa/Nairobi |
| »»» timezone | Africa/Ndjamena |
| »»» timezone | Africa/Niamey |
| »»» timezone | Africa/Nouakchott |
| »»» timezone | Africa/Ouagadougou |
| »»» timezone | Africa/Porto-Novo |
| »»» timezone | Africa/Sao_Tome |
| »»» timezone | Africa/Timbuktu |
| »»» timezone | Africa/Tripoli |
| »»» timezone | Africa/Tunis |
| »»» timezone | Africa/Windhoek |
| »»» timezone | Alaska |
| »»» timezone | Almaty |
| »»» timezone | America/Adak |
| »»» timezone | America/Anchorage |
| »»» timezone | America/Anguilla |
| »»» timezone | America/Antigua |
| »»» timezone | America/Araguaina |
| »»» timezone | America/Argentina/Buenos_Aires |
| »»» timezone | America/Argentina/Catamarca |
| »»» timezone | America/Argentina/ComodRivadavia |
| »»» timezone | America/Argentina/Cordoba |
| »»» timezone | America/Argentina/Jujuy |
| »»» timezone | America/Argentina/La_Rioja |
| »»» timezone | America/Argentina/Mendoza |
| »»» timezone | America/Argentina/Rio_Gallegos |
| »»» timezone | America/Argentina/Salta |
| »»» timezone | America/Argentina/San_Juan |
| »»» timezone | America/Argentina/San_Luis |
| »»» timezone | America/Argentina/Tucuman |
| »»» timezone | America/Argentina/Ushuaia |
| »»» timezone | America/Aruba |
| »»» timezone | America/Asuncion |
| »»» timezone | America/Atikokan |
| »»» timezone | America/Atka |
| »»» timezone | America/Bahia |
| »»» timezone | America/Bahia_Banderas |
| »»» timezone | America/Barbados |
| »»» timezone | America/Belem |
| »»» timezone | America/Belize |
| »»» timezone | America/Blanc-Sablon |
| »»» timezone | America/Boa_Vista |
| »»» timezone | America/Bogota |
| »»» timezone | America/Boise |
| »»» timezone | America/Buenos_Aires |
| »»» timezone | America/Cambridge_Bay |
| »»» timezone | America/Campo_Grande |
| »»» timezone | America/Cancun |
| »»» timezone | America/Caracas |
| »»» timezone | America/Catamarca |
| »»» timezone | America/Cayenne |
| »»» timezone | America/Cayman |
| »»» timezone | America/Chicago |
| »»» timezone | America/Chihuahua |
| »»» timezone | America/Ciudad_Juarez |
| »»» timezone | America/Coral_Harbour |
| »»» timezone | America/Cordoba |
| »»» timezone | America/Costa_Rica |
| »»» timezone | America/Creston |
| »»» timezone | America/Cuiaba |
| »»» timezone | America/Curacao |
| »»» timezone | America/Danmarkshavn |
| »»» timezone | America/Dawson |
| »»» timezone | America/Dawson_Creek |
| »»» timezone | America/Denver |
| »»» timezone | America/Detroit |
| »»» timezone | America/Dominica |
| »»» timezone | America/Edmonton |
| »»» timezone | America/Eirunepe |
| »»» timezone | America/El_Salvador |
| »»» timezone | America/Ensenada |
| »»» timezone | America/Fort_Nelson |
| »»» timezone | America/Fort_Wayne |
| »»» timezone | America/Fortaleza |
| »»» timezone | America/Glace_Bay |
| »»» timezone | America/Godthab |
| »»» timezone | America/Goose_Bay |
| »»» timezone | America/Grand_Turk |
| »»» timezone | America/Grenada |
| »»» timezone | America/Guadeloupe |
| »»» timezone | America/Guatemala |
| »»» timezone | America/Guayaquil |
| »»» timezone | America/Guyana |
| »»» timezone | America/Halifax |
| »»» timezone | America/Havana |
| »»» timezone | America/Hermosillo |
| »»» timezone | America/Indiana/Indianapolis |
| »»» timezone | America/Indiana/Knox |
| »»» timezone | America/Indiana/Marengo |
| »»» timezone | America/Indiana/Petersburg |
| »»» timezone | America/Indiana/Tell_City |
| »»» timezone | America/Indiana/Vevay |
| »»» timezone | America/Indiana/Vincennes |
| »»» timezone | America/Indiana/Winamac |
| »»» timezone | America/Indianapolis |
| »»» timezone | America/Inuvik |
| »»» timezone | America/Iqaluit |
| »»» timezone | America/Jamaica |
| »»» timezone | America/Jujuy |
| »»» timezone | America/Juneau |
| »»» timezone | America/Kentucky/Louisville |
| »»» timezone | America/Kentucky/Monticello |
| »»» timezone | America/Knox_IN |
| »»» timezone | America/Kralendijk |
| »»» timezone | America/La_Paz |
| »»» timezone | America/Lima |
| »»» timezone | America/Los_Angeles |
| »»» timezone | America/Louisville |
| »»» timezone | America/Lower_Princes |
| »»» timezone | America/Maceio |
| »»» timezone | America/Managua |
| »»» timezone | America/Manaus |
| »»» timezone | America/Marigot |
| »»» timezone | America/Martinique |
| »»» timezone | America/Matamoros |
| »»» timezone | America/Mazatlan |
| »»» timezone | America/Mendoza |
| »»» timezone | America/Menominee |
| »»» timezone | America/Merida |
| »»» timezone | America/Metlakatla |
| »»» timezone | America/Mexico_City |
| »»» timezone | America/Miquelon |
| »»» timezone | America/Moncton |
| »»» timezone | America/Monterrey |
| »»» timezone | America/Montevideo |
| »»» timezone | America/Montreal |
| »»» timezone | America/Montserrat |
| »»» timezone | America/Nassau |
| »»» timezone | America/New_York |
| »»» timezone | America/Nipigon |
| »»» timezone | America/Nome |
| »»» timezone | America/Noronha |
| »»» timezone | America/North_Dakota/Beulah |
| »»» timezone | America/North_Dakota/Center |
| »»» timezone | America/North_Dakota/New_Salem |
| »»» timezone | America/Nuuk |
| »»» timezone | America/Ojinaga |
| »»» timezone | America/Panama |
| »»» timezone | America/Pangnirtung |
| »»» timezone | America/Paramaribo |
| »»» timezone | America/Phoenix |
| »»» timezone | America/Port-au-Prince |
| »»» timezone | America/Port_of_Spain |
| »»» timezone | America/Porto_Acre |
| »»» timezone | America/Porto_Velho |
| »»» timezone | America/Puerto_Rico |
| »»» timezone | America/Punta_Arenas |
| »»» timezone | America/Rainy_River |
| »»» timezone | America/Rankin_Inlet |
| »»» timezone | America/Recife |
| »»» timezone | America/Regina |
| »»» timezone | America/Resolute |
| »»» timezone | America/Rio_Branco |
| »»» timezone | America/Rosario |
| »»» timezone | America/Santa_Isabel |
| »»» timezone | America/Santarem |
| »»» timezone | America/Santiago |
| »»» timezone | America/Santo_Domingo |
| »»» timezone | America/Sao_Paulo |
| »»» timezone | America/Scoresbysund |
| »»» timezone | America/Shiprock |
| »»» timezone | America/Sitka |
| »»» timezone | America/St_Barthelemy |
| »»» timezone | America/St_Johns |
| »»» timezone | America/St_Kitts |
| »»» timezone | America/St_Lucia |
| »»» timezone | America/St_Thomas |
| »»» timezone | America/St_Vincent |
| »»» timezone | America/Swift_Current |
| »»» timezone | America/Tegucigalpa |
| »»» timezone | America/Thule |
| »»» timezone | America/Thunder_Bay |
| »»» timezone | America/Tijuana |
| »»» timezone | America/Toronto |
| »»» timezone | America/Tortola |
| »»» timezone | America/Vancouver |
| »»» timezone | America/Virgin |
| »»» timezone | America/Whitehorse |
| »»» timezone | America/Winnipeg |
| »»» timezone | America/Yakutat |
| »»» timezone | America/Yellowknife |
| »»» timezone | American Samoa |
| »»» timezone | Amsterdam |
| »»» timezone | Antarctica/Casey |
| »»» timezone | Antarctica/Davis |
| »»» timezone | Antarctica/DumontDUrville |
| »»» timezone | Antarctica/Macquarie |
| »»» timezone | Antarctica/Mawson |
| »»» timezone | Antarctica/McMurdo |
| »»» timezone | Antarctica/Palmer |
| »»» timezone | Antarctica/Rothera |
| »»» timezone | Antarctica/South_Pole |
| »»» timezone | Antarctica/Syowa |
| »»» timezone | Antarctica/Troll |
| »»» timezone | Antarctica/Vostok |
| »»» timezone | Arctic/Longyearbyen |
| »»» timezone | Arizona |
| »»» timezone | Asia/Aden |
| »»» timezone | Asia/Almaty |
| »»» timezone | Asia/Amman |
| »»» timezone | Asia/Anadyr |
| »»» timezone | Asia/Aqtau |
| »»» timezone | Asia/Aqtobe |
| »»» timezone | Asia/Ashgabat |
| »»» timezone | Asia/Ashkhabad |
| »»» timezone | Asia/Atyrau |
| »»» timezone | Asia/Baghdad |
| »»» timezone | Asia/Bahrain |
| »»» timezone | Asia/Baku |
| »»» timezone | Asia/Bangkok |
| »»» timezone | Asia/Barnaul |
| »»» timezone | Asia/Beirut |
| »»» timezone | Asia/Bishkek |
| »»» timezone | Asia/Brunei |
| »»» timezone | Asia/Calcutta |
| »»» timezone | Asia/Chita |
| »»» timezone | Asia/Choibalsan |
| »»» timezone | Asia/Chongqing |
| »»» timezone | Asia/Chungking |
| »»» timezone | Asia/Colombo |
| »»» timezone | Asia/Dacca |
| »»» timezone | Asia/Damascus |
| »»» timezone | Asia/Dhaka |
| »»» timezone | Asia/Dili |
| »»» timezone | Asia/Dubai |
| »»» timezone | Asia/Dushanbe |
| »»» timezone | Asia/Famagusta |
| »»» timezone | Asia/Gaza |
| »»» timezone | Asia/Harbin |
| »»» timezone | Asia/Hebron |
| »»» timezone | Asia/Ho_Chi_Minh |
| »»» timezone | Asia/Hong_Kong |
| »»» timezone | Asia/Hovd |
| »»» timezone | Asia/Irkutsk |
| »»» timezone | Asia/Istanbul |
| »»» timezone | Asia/Jakarta |
| »»» timezone | Asia/Jayapura |
| »»» timezone | Asia/Jerusalem |
| »»» timezone | Asia/Kabul |
| »»» timezone | Asia/Kamchatka |
| »»» timezone | Asia/Karachi |
| »»» timezone | Asia/Kashgar |
| »»» timezone | Asia/Kathmandu |
| »»» timezone | Asia/Katmandu |
| »»» timezone | Asia/Khandyga |
| »»» timezone | Asia/Kolkata |
| »»» timezone | Asia/Krasnoyarsk |
| »»» timezone | Asia/Kuala_Lumpur |
| »»» timezone | Asia/Kuching |
| »»» timezone | Asia/Kuwait |
| »»» timezone | Asia/Macao |
| »»» timezone | Asia/Macau |
| »»» timezone | Asia/Magadan |
| »»» timezone | Asia/Makassar |
| »»» timezone | Asia/Manila |
| »»» timezone | Asia/Muscat |
| »»» timezone | Asia/Nicosia |
| »»» timezone | Asia/Novokuznetsk |
| »»» timezone | Asia/Novosibirsk |
| »»» timezone | Asia/Omsk |
| »»» timezone | Asia/Oral |
| »»» timezone | Asia/Phnom_Penh |
| »»» timezone | Asia/Pontianak |
| »»» timezone | Asia/Pyongyang |
| »»» timezone | Asia/Qatar |
| »»» timezone | Asia/Qostanay |
| »»» timezone | Asia/Qyzylorda |
| »»» timezone | Asia/Rangoon |
| »»» timezone | Asia/Riyadh |
| »»» timezone | Asia/Saigon |
| »»» timezone | Asia/Sakhalin |
| »»» timezone | Asia/Samarkand |
| »»» timezone | Asia/Seoul |
| »»» timezone | Asia/Shanghai |
| »»» timezone | Asia/Singapore |
| »»» timezone | Asia/Srednekolymsk |
| »»» timezone | Asia/Taipei |
| »»» timezone | Asia/Tashkent |
| »»» timezone | Asia/Tbilisi |
| »»» timezone | Asia/Tehran |
| »»» timezone | Asia/Tel_Aviv |
| »»» timezone | Asia/Thimbu |
| »»» timezone | Asia/Thimphu |
| »»» timezone | Asia/Tokyo |
| »»» timezone | Asia/Tomsk |
| »»» timezone | Asia/Ujung_Pandang |
| »»» timezone | Asia/Ulaanbaatar |
| »»» timezone | Asia/Ulan_Bator |
| »»» timezone | Asia/Urumqi |
| »»» timezone | Asia/Ust-Nera |
| »»» timezone | Asia/Vientiane |
| »»» timezone | Asia/Vladivostok |
| »»» timezone | Asia/Yakutsk |
| »»» timezone | Asia/Yangon |
| »»» timezone | Asia/Yekaterinburg |
| »»» timezone | Asia/Yerevan |
| »»» timezone | Astana |
| »»» timezone | Athens |
| »»» timezone | Atlantic Time (Canada) |
| »»» timezone | Atlantic/Azores |
| »»» timezone | Atlantic/Bermuda |
| »»» timezone | Atlantic/Canary |
| »»» timezone | Atlantic/Cape_Verde |
| »»» timezone | Atlantic/Faeroe |
| »»» timezone | Atlantic/Faroe |
| »»» timezone | Atlantic/Jan_Mayen |
| »»» timezone | Atlantic/Madeira |
| »»» timezone | Atlantic/Reykjavik |
| »»» timezone | Atlantic/South_Georgia |
| »»» timezone | Atlantic/St_Helena |
| »»» timezone | Atlantic/Stanley |
| »»» timezone | Auckland |
| »»» timezone | Australia/ACT |
| »»» timezone | Australia/Adelaide |
| »»» timezone | Australia/Brisbane |
| »»» timezone | Australia/Broken_Hill |
| »»» timezone | Australia/Canberra |
| »»» timezone | Australia/Currie |
| »»» timezone | Australia/Darwin |
| »»» timezone | Australia/Eucla |
| »»» timezone | Australia/Hobart |
| »»» timezone | Australia/LHI |
| »»» timezone | Australia/Lindeman |
| »»» timezone | Australia/Lord_Howe |
| »»» timezone | Australia/Melbourne |
| »»» timezone | Australia/NSW |
| »»» timezone | Australia/North |
| »»» timezone | Australia/Perth |
| »»» timezone | Australia/Queensland |
| »»» timezone | Australia/South |
| »»» timezone | Australia/Sydney |
| »»» timezone | Australia/Tasmania |
| »»» timezone | Australia/Victoria |
| »»» timezone | Australia/West |
| »»» timezone | Australia/Yancowinna |
| »»» timezone | Azores |
| »»» timezone | Baghdad |
| »»» timezone | Baku |
| »»» timezone | Bangkok |
| »»» timezone | Beijing |
| »»» timezone | Belgrade |
| »»» timezone | Berlin |
| »»» timezone | Bern |
| »»» timezone | Bogota |
| »»» timezone | Brasilia |
| »»» timezone | Bratislava |
| »»» timezone | Brazil/Acre |
| »»» timezone | Brazil/DeNoronha |
| »»» timezone | Brazil/East |
| »»» timezone | Brazil/West |
| »»» timezone | Brisbane |
| »»» timezone | Brussels |
| »»» timezone | Bucharest |
| »»» timezone | Budapest |
| »»» timezone | Buenos Aires |
| »»» timezone | CET |
| »»» timezone | CST6CDT |
| »»» timezone | Cairo |
| »»» timezone | Canada/Atlantic |
| »»» timezone | Canada/Central |
| »»» timezone | Canada/Eastern |
| »»» timezone | Canada/Mountain |
| »»» timezone | Canada/Newfoundland |
| »»» timezone | Canada/Pacific |
| »»» timezone | Canada/Saskatchewan |
| »»» timezone | Canada/Yukon |
| »»» timezone | Canberra |
| »»» timezone | Cape Verde Is. |
| »»» timezone | Caracas |
| »»» timezone | Casablanca |
| »»» timezone | Central America |
| »»» timezone | Central Time (US & Canada) |
| »»» timezone | Chatham Is. |
| »»» timezone | Chennai |
| »»» timezone | Chihuahua |
| »»» timezone | Chile/Continental |
| »»» timezone | Chile/EasterIsland |
| »»» timezone | Chongqing |
| »»» timezone | Copenhagen |
| »»» timezone | Cuba |
| »»» timezone | Darwin |
| »»» timezone | Dhaka |
| »»» timezone | Dublin |
| »»» timezone | EET |
| »»» timezone | EST |
| »»» timezone | EST5EDT |
| »»» timezone | Eastern Time (US & Canada) |
| »»» timezone | Edinburgh |
| »»» timezone | Egypt |
| »»» timezone | Eire |
| »»» timezone | Ekaterinburg |
| »»» timezone | Etc/GMT |
| »»» timezone | Etc/GMT+0 |
| »»» timezone | Etc/GMT+1 |
| »»» timezone | Etc/GMT+10 |
| »»» timezone | Etc/GMT+11 |
| »»» timezone | Etc/GMT+12 |
| »»» timezone | Etc/GMT+2 |
| »»» timezone | Etc/GMT+3 |
| »»» timezone | Etc/GMT+4 |
| »»» timezone | Etc/GMT+5 |
| »»» timezone | Etc/GMT+6 |
| »»» timezone | Etc/GMT+7 |
| »»» timezone | Etc/GMT+8 |
| »»» timezone | Etc/GMT+9 |
| »»» timezone | Etc/GMT-0 |
| »»» timezone | Etc/GMT-1 |
| »»» timezone | Etc/GMT-10 |
| »»» timezone | Etc/GMT-11 |
| »»» timezone | Etc/GMT-12 |
| »»» timezone | Etc/GMT-13 |
| »»» timezone | Etc/GMT-14 |
| »»» timezone | Etc/GMT-2 |
| »»» timezone | Etc/GMT-3 |
| »»» timezone | Etc/GMT-4 |
| »»» timezone | Etc/GMT-5 |
| »»» timezone | Etc/GMT-6 |
| »»» timezone | Etc/GMT-7 |
| »»» timezone | Etc/GMT-8 |
| »»» timezone | Etc/GMT-9 |
| »»» timezone | Etc/GMT0 |
| »»» timezone | Etc/Greenwich |
| »»» timezone | Etc/UCT |
| »»» timezone | Etc/UTC |
| »»» timezone | Etc/Universal |
| »»» timezone | Etc/Zulu |
| »»» timezone | Europe/Amsterdam |
| »»» timezone | Europe/Andorra |
| »»» timezone | Europe/Astrakhan |
| »»» timezone | Europe/Athens |
| »»» timezone | Europe/Belfast |
| »»» timezone | Europe/Belgrade |
| »»» timezone | Europe/Berlin |
| »»» timezone | Europe/Bratislava |
| »»» timezone | Europe/Brussels |
| »»» timezone | Europe/Bucharest |
| »»» timezone | Europe/Budapest |
| »»» timezone | Europe/Busingen |
| »»» timezone | Europe/Chisinau |
| »»» timezone | Europe/Copenhagen |
| »»» timezone | Europe/Dublin |
| »»» timezone | Europe/Gibraltar |
| »»» timezone | Europe/Guernsey |
| »»» timezone | Europe/Helsinki |
| »»» timezone | Europe/Isle_of_Man |
| »»» timezone | Europe/Istanbul |
| »»» timezone | Europe/Jersey |
| »»» timezone | Europe/Kaliningrad |
| »»» timezone | Europe/Kiev |
| »»» timezone | Europe/Kirov |
| »»» timezone | Europe/Kyiv |
| »»» timezone | Europe/Lisbon |
| »»» timezone | Europe/Ljubljana |
| »»» timezone | Europe/London |
| »»» timezone | Europe/Luxembourg |
| »»» timezone | Europe/Madrid |
| »»» timezone | Europe/Malta |
| »»» timezone | Europe/Mariehamn |
| »»» timezone | Europe/Minsk |
| »»» timezone | Europe/Monaco |
| »»» timezone | Europe/Moscow |
| »»» timezone | Europe/Nicosia |
| »»» timezone | Europe/Oslo |
| »»» timezone | Europe/Paris |
| »»» timezone | Europe/Podgorica |
| »»» timezone | Europe/Prague |
| »»» timezone | Europe/Riga |
| »»» timezone | Europe/Rome |
| »»» timezone | Europe/Samara |
| »»» timezone | Europe/San_Marino |
| »»» timezone | Europe/Sarajevo |
| »»» timezone | Europe/Saratov |
| »»» timezone | Europe/Simferopol |
| »»» timezone | Europe/Skopje |
| »»» timezone | Europe/Sofia |
| »»» timezone | Europe/Stockholm |
| »»» timezone | Europe/Tallinn |
| »»» timezone | Europe/Tirane |
| »»» timezone | Europe/Tiraspol |
| »»» timezone | Europe/Ulyanovsk |
| »»» timezone | Europe/Uzhgorod |
| »»» timezone | Europe/Vaduz |
| »»» timezone | Europe/Vatican |
| »»» timezone | Europe/Vienna |
| »»» timezone | Europe/Vilnius |
| »»» timezone | Europe/Volgograd |
| »»» timezone | Europe/Warsaw |
| »»» timezone | Europe/Zagreb |
| »»» timezone | Europe/Zaporozhye |
| »»» timezone | Europe/Zurich |
| »»» timezone | Factory |
| »»» timezone | Fiji |
| »»» timezone | GB |
| »»» timezone | GB-Eire |
| »»» timezone | GMT |
| »»» timezone | GMT+0 |
| »»» timezone | GMT-0 |
| »»» timezone | GMT0 |
| »»» timezone | Georgetown |
| »»» timezone | Greenland |
| »»» timezone | Greenwich |
| »»» timezone | Guadalajara |
| »»» timezone | Guam |
| »»» timezone | HST |
| »»» timezone | Hanoi |
| »»» timezone | Harare |
| »»» timezone | Hawaii |
| »»» timezone | Helsinki |
| »»» timezone | Hobart |
| »»» timezone | Hong Kong |
| »»» timezone | Hongkong |
| »»» timezone | Iceland |
| »»» timezone | Indian/Antananarivo |
| »»» timezone | Indian/Chagos |
| »»» timezone | Indian/Christmas |
| »»» timezone | Indian/Cocos |
| »»» timezone | Indian/Comoro |
| »»» timezone | Indian/Kerguelen |
| »»» timezone | Indian/Mahe |
| »»» timezone | Indian/Maldives |
| »»» timezone | Indian/Mauritius |
| »»» timezone | Indian/Mayotte |
| »»» timezone | Indian/Reunion |
| »»» timezone | Indiana (East) |
| »»» timezone | International Date Line West |
| »»» timezone | Iran |
| »»» timezone | Irkutsk |
| »»» timezone | Islamabad |
| »»» timezone | Israel |
| »»» timezone | Istanbul |
| »»» timezone | Jakarta |
| »»» timezone | Jamaica |
| »»» timezone | Japan |
| »»» timezone | Jerusalem |
| »»» timezone | Kabul |
| »»» timezone | Kaliningrad |
| »»» timezone | Kamchatka |
| »»» timezone | Karachi |
| »»» timezone | Kathmandu |
| »»» timezone | Kolkata |
| »»» timezone | Krasnoyarsk |
| »»» timezone | Kuala Lumpur |
| »»» timezone | Kuwait |
| »»» timezone | Kwajalein |
| »»» timezone | Kyiv |
| »»» timezone | La Paz |
| »»» timezone | Libya |
| »»» timezone | Lima |
| »»» timezone | Lisbon |
| »»» timezone | Ljubljana |
| »»» timezone | London |
| »»» timezone | MET |
| »»» timezone | MST |
| »»» timezone | MST7MDT |
| »»» timezone | Madrid |
| »»» timezone | Magadan |
| »»» timezone | Marshall Is. |
| »»» timezone | Mazatlan |
| »»» timezone | Melbourne |
| »»» timezone | Mexico City |
| »»» timezone | Mexico/BajaNorte |
| »»» timezone | Mexico/BajaSur |
| »»» timezone | Mexico/General |
| »»» timezone | Mid-Atlantic |
| »»» timezone | Midway Island |
| »»» timezone | Minsk |
| »»» timezone | Monrovia |
| »»» timezone | Monterrey |
| »»» timezone | Montevideo |
| »»» timezone | Moscow |
| »»» timezone | Mountain Time (US & Canada) |
| »»» timezone | Mumbai |
| »»» timezone | Muscat |
| »»» timezone | NZ |
| »»» timezone | NZ-CHAT |
| »»» timezone | Nairobi |
| »»» timezone | Navajo |
| »»» timezone | New Caledonia |
| »»» timezone | New Delhi |
| »»» timezone | Newfoundland |
| »»» timezone | Novosibirsk |
| »»» timezone | Nuku'alofa |
| »»» timezone | Osaka |
| »»» timezone | PRC |
| »»» timezone | PST8PDT |
| »»» timezone | Pacific Time (US & Canada) |
| »»» timezone | Pacific/Apia |
| »»» timezone | Pacific/Auckland |
| »»» timezone | Pacific/Bougainville |
| »»» timezone | Pacific/Chatham |
| »»» timezone | Pacific/Chuuk |
| »»» timezone | Pacific/Easter |
| »»» timezone | Pacific/Efate |
| »»» timezone | Pacific/Enderbury |
| »»» timezone | Pacific/Fakaofo |
| »»» timezone | Pacific/Fiji |
| »»» timezone | Pacific/Funafuti |
| »»» timezone | Pacific/Galapagos |
| »»» timezone | Pacific/Gambier |
| »»» timezone | Pacific/Guadalcanal |
| »»» timezone | Pacific/Guam |
| »»» timezone | Pacific/Honolulu |
| »»» timezone | Pacific/Johnston |
| »»» timezone | Pacific/Kanton |
| »»» timezone | Pacific/Kiritimati |
| »»» timezone | Pacific/Kosrae |
| »»» timezone | Pacific/Kwajalein |
| »»» timezone | Pacific/Majuro |
| »»» timezone | Pacific/Marquesas |
| »»» timezone | Pacific/Midway |
| »»» timezone | Pacific/Nauru |
| »»» timezone | Pacific/Niue |
| »»» timezone | Pacific/Norfolk |
| »»» timezone | Pacific/Noumea |
| »»» timezone | Pacific/Pago_Pago |
| »»» timezone | Pacific/Palau |
| »»» timezone | Pacific/Pitcairn |
| »»» timezone | Pacific/Pohnpei |
| »»» timezone | Pacific/Ponape |
| »»» timezone | Pacific/Port_Moresby |
| »»» timezone | Pacific/Rarotonga |
| »»» timezone | Pacific/Saipan |
| »»» timezone | Pacific/Samoa |
| »»» timezone | Pacific/Tahiti |
| »»» timezone | Pacific/Tarawa |
| »»» timezone | Pacific/Tongatapu |
| »»» timezone | Pacific/Truk |
| »»» timezone | Pacific/Wake |
| »»» timezone | Pacific/Wallis |
| »»» timezone | Pacific/Yap |
| »»» timezone | Paris |
| »»» timezone | Perth |
| »»» timezone | Poland |
| »»» timezone | Port Moresby |
| »»» timezone | Portugal |
| »»» timezone | Prague |
| »»» timezone | Pretoria |
| »»» timezone | Puerto Rico |
| »»» timezone | Quito |
| »»» timezone | ROC |
| »»» timezone | ROK |
| »»» timezone | Rangoon |
| »»» timezone | Riga |
| »»» timezone | Riyadh |
| »»» timezone | Rome |
| »»» timezone | Samara |
| »»» timezone | Samoa |
| »»» timezone | Santiago |
| »»» timezone | Sapporo |
| »»» timezone | Sarajevo |
| »»» timezone | Saskatchewan |
| »»» timezone | Seoul |
| »»» timezone | Singapore |
| »»» timezone | Skopje |
| »»» timezone | Sofia |
| »»» timezone | Solomon Is. |
| »»» timezone | Srednekolymsk |
| »»» timezone | Sri Jayawardenepura |
| »»» timezone | St. Petersburg |
| »»» timezone | Stockholm |
| »»» timezone | Sydney |
| »»» timezone | Taipei |
| »»» timezone | Tallinn |
| »»» timezone | Tashkent |
| »»» timezone | Tbilisi |
| »»» timezone | Tehran |
| »»» timezone | Tijuana |
| »»» timezone | Tokelau Is. |
| »»» timezone | Tokyo |
| »»» timezone | Turkey |
| »»» timezone | UCT |
| »»» timezone | US/Alaska |
| »»» timezone | US/Aleutian |
| »»» timezone | US/Arizona |
| »»» timezone | US/Central |
| »»» timezone | US/East-Indiana |
| »»» timezone | US/Eastern |
| »»» timezone | US/Hawaii |
| »»» timezone | US/Indiana-Starke |
| »»» timezone | US/Michigan |
| »»» timezone | US/Mountain |
| »»» timezone | US/Pacific |
| »»» timezone | US/Samoa |
| »»» timezone | UTC |
| »»» timezone | Ulaanbaatar |
| »»» timezone | Universal |
| »»» timezone | Urumqi |
| »»» timezone | Vienna |
| »»» timezone | Vilnius |
| »»» timezone | Vladivostok |
| »»» timezone | Volgograd |
| »»» timezone | W-SU |
| »»» timezone | WET |
| »»» timezone | Warsaw |
| »»» timezone | Wellington |
| »»» timezone | West Central Africa |
| »»» timezone | Yakutsk |
| »»» timezone | Yerevan |
| »»» timezone | Zagreb |
| »»» timezone | Zulu |
| »»» timezone | Zurich |
Example responses
201 Response
{
"data": {
"id": "string",
"type": "event",
"attributes": {
"createdAt": "string",
"description": "string",
"id": "string",
"metadata": {},
"name": "string",
"published": true,
"slug": "string",
"status": "string",
"timeEnd": "string",
"timeStart": "string",
"timezone": "string",
"type": "string"
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Creates an event and returns details | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 404 | Not Found | not found | errors |
| 422 | Unprocessable Entity | unprocessable_entity | errors |
Response Schema
Status Code 201
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | event | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» createdAt | string | true | none | none |
| »»» description | string | true | none | none |
| »»» id | string | true | none | none |
| »»» metadata | object | true | none | none |
| »»» name | string | true | none | none |
| »»» published | boolean | true | none | none |
| »»» slug | string | true | none | none |
| »»» status | string | true | none | none |
| »»» timeEnd | string¦null | true | none | none |
| »»» timeStart | string¦null | true | none | none |
| »»» timezone | string | true | none | none |
| »»» type | string | true | none | none |
Enumerated Values
| Property | Value |
|---|---|
| type | event |
Returns event details
Code samples
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.get 'https://api.events.ringcentral.com/v1/events/{eventId}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.get('https://api.events.ringcentral.com/v1/events/{eventId}', headers = headers)
print(r.json())
const headers = {
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/events/{eventId}',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
GET /v1/events/{eventId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| eventId | path | string | true | none |
Example responses
200 Response
{
"data": {
"id": "string",
"type": "event",
"attributes": {
"createdAt": "string",
"description": "string",
"id": "string",
"metadata": {},
"name": "string",
"published": true,
"slug": "string",
"status": "string",
"timeEnd": "string",
"timeStart": "string",
"timezone": "string",
"type": "string"
}
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Returns the details about user's organization's event by organization id and event id | Inline |
| 401 | Unauthorized | authentication failed | errors |
| 403 | Forbidden | forbidden | errors |
| 404 | Not Found | not found | errors |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | event | true | none | none |
| »» id | string | true | none | none |
| »» type | string | true | none | none |
| »» attributes | object | true | none | none |
| »»» createdAt | string | true | none | none |
| »»» description | string | true | none | none |
| »»» id | string | true | none | none |
| »»» metadata | object | true | none | none |
| »»» name | string | true | none | none |
| »»» published | boolean | true | none | none |
| »»» slug | string | true | none | none |
| »»» status | string | true | none | none |
| »»» timeEnd | string¦null | true | none | none |
| »»» timeStart | string¦null | true | none | none |
| »»» timezone | string | true | none | none |
| »»» type | string | true | none | none |
Enumerated Values
| Property | Value |
|---|---|
| type | event |
Creates an event from the template
Code samples
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'API_KEY'
}
result = RestClient.post 'https://api.events.ringcentral.com/v1/templates/{templateID}/event',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'Authorization': 'API_KEY'
}
r = requests.post('https://api.events.ringcentral.com/v1/templates/{templateID}/event', headers = headers)
print(r.json())
const inputBody = '{
"data": {
"type": "event",
"attributes": {
"auto_publish": true,
"metadata": {},
"name": "string",
"organizationId": "string",
"password": "string",
"timeEnd": "2019-08-24T14:15:22Z",
"timeStart": "2019-08-24T14:15:22Z",
"timezone": "Abu Dhabi",
"type": "hidden_event"
}
}
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'Authorization':'API_KEY'
};
fetch('https://api.events.ringcentral.com/v1/templates/{templateID}/event',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
POST /v1/templates/{templateID}/event
Body parameter
{
"data": {
"type": "event",
"attributes": {
"auto_publish": true,
"metadata": {},
"name": "string",
"organizationId": "string",
"password": "string",
"timeEnd": "2019-08-24T14:15:22Z",
"timeStart": "2019-08-24T14:15:22Z",
"timezone": "Abu Dhabi",
"type": "hidden_event"
}
}
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| body | body | object | false | none |
| » data | body | object | true | none |
| »» type | body | string | true | Resource type |
| »» attributes | body | object | true | none |
| »»» auto_publish | body | boolean | false | none |
| »»» metadata | body | object | false | none |
| »»» name | body | string | true | none |
| »»» organizationId | body | string | true | none |
| »»» password | body | string | false | none |
| »»» timeEnd | body | string(date-time) | true | Event end time |
| »»» timeStart | body | string(date-time) | true | Event start time |
| »»» timezone | body | string | true | none |
| »»» type | body | string | false | none |
Enumerated Values
| Parameter | Value |
|---|---|
| »» type | event |
| »»» timezone | Abu Dhabi |
| »»» timezone | Adelaide |
| »»» timezone | Africa/Abidjan |
| »»» timezone | Africa/Accra |
| »»» timezone | Africa/Addis_Ababa |
| »»» timezone | Africa/Algiers |
| »»» timezone | Africa/Asmara |
| »»» timezone | Africa/Asmera |
| »»» timezone | Africa/Bamako |
| »»» timezone | Africa/Bangui |
| »»» timezone | Africa/Banjul |
| »»» timezone | Africa/Bissau |
| »»» timezone | Africa/Blantyre |
| »»» timezone | Africa/Brazzaville |
| »»» timezone | Africa/Bujumbura |
| »»» timezone | Africa/Cairo |
| »»» timezone | Africa/Casablanca |
| »»» timezone | Africa/Ceuta |
| »»» timezone | Africa/Conakry |
| »»» timezone | Africa/Dakar |
| »»» timezone | Africa/Dar_es_Salaam |
| »»» timezone | Africa/Djibouti |
| »»» timezone | Africa/Douala |
| »»» timezone | Africa/El_Aaiun |
| »»» timezone | Africa/Freetown |
| »»» timezone | Africa/Gaborone |
| »»» timezone | Africa/Harare |
| »»» timezone | Africa/Johannesburg |
| »»» timezone | Africa/Juba |
| »»» timezone | Africa/Kampala |
| »»» timezone | Africa/Khartoum |
| »»» timezone | Africa/Kigali |
| »»» timezone | Africa/Kinshasa |
| »»» timezone | Africa/Lagos |
| »»» timezone | Africa/Libreville |
| »»» timezone | Africa/Lome |
| »»» timezone | Africa/Luanda |
| »»» timezone | Africa/Lubumbashi |
| »»» timezone | Africa/Lusaka |
| »»» timezone | Africa/Malabo |
| »»» timezone | Africa/Maputo |
| »»» timezone | Africa/Maseru |
| »»» timezone | Africa/Mbabane |
| »»» timezone | Africa/Mogadishu |
| »»» timezone | Africa/Monrovia |
| »»» timezone | Africa/Nairobi |
| »»» timezone | Africa/Ndjamena |
| »»» timezone | Africa/Niamey |
| »»» timezone | Africa/Nouakchott |
| »»» timezone | Africa/Ouagadougou |
| »»» timezone | Africa/Porto-Novo |
| »»» timezone | Africa/Sao_Tome |
| »»» timezone | Africa/Timbuktu |
| »»» timezone | Africa/Tripoli |
| »»» timezone | Africa/Tunis |
| »»» timezone | Africa/Windhoek |
| »»» timezone | Alaska |
| »»» timezone | Almaty |
| »»» timezone | America/Adak |
| »»» timezone | America/Anchorage |
| »»» timezone | America/Anguilla |
| »»» timezone | America/Antigua |
| »»» timezone | America/Araguaina |
| »»» timezone | America/Argentina/Buenos_Aires |
| »»» timezone | America/Argentina/Catamarca |
| »»» timezone | America/Argentina/ComodRivadavia |
| »»» timezone | America/Argentina/Cordoba |
| »»» timezone | America/Argentina/Jujuy |
| »»» timezone | America/Argentina/La_Rioja |
| »»» timezone | America/Argentina/Mendoza |
| »»» timezone | America/Argentina/Rio_Gallegos |
| »»» timezone | America/Argentina/Salta |
| »»» timezone | America/Argentina/San_Juan |
| »»» timezone | America/Argentina/San_Luis |
| »»» timezone | America/Argentina/Tucuman |
| »»» timezone | America/Argentina/Ushuaia |
| »»» timezone | America/Aruba |
| »»» timezone | America/Asuncion |
| »»» timezone | America/Atikokan |
| »»» timezone | America/Atka |
| »»» timezone | America/Bahia |
| »»» timezone | America/Bahia_Banderas |
| »»» timezone | America/Barbados |
| »»» timezone | America/Belem |
| »»» timezone | America/Belize |
| »»» timezone | America/Blanc-Sablon |
| »»» timezone | America/Boa_Vista |
| »»» timezone | America/Bogota |
| »»» timezone | America/Boise |
| »»» timezone | America/Buenos_Aires |
| »»» timezone | America/Cambridge_Bay |
| »»» timezone | America/Campo_Grande |
| »»» timezone | America/Cancun |
| »»» timezone | America/Caracas |
| »»» timezone | America/Catamarca |
| »»» timezone | America/Cayenne |
| »»» timezone | America/Cayman |
| »»» timezone | America/Chicago |
| »»» timezone | America/Chihuahua |
| »»» timezone | America/Ciudad_Juarez |
| »»» timezone | America/Coral_Harbour |
| »»» timezone | America/Cordoba |
| »»» timezone | America/Costa_Rica |
| »»» timezone | America/Creston |
| »»» timezone | America/Cuiaba |
| »»» timezone | America/Curacao |
| »»» timezone | America/Danmarkshavn |
| »»» timezone | America/Dawson |
| »»» timezone | America/Dawson_Creek |
| »»» timezone | America/Denver |
| »»» timezone | America/Detroit |
| »»» timezone | America/Dominica |
| »»» timezone | America/Edmonton |
| »»» timezone | America/Eirunepe |
| »»» timezone | America/El_Salvador |
| »»» timezone | America/Ensenada |
| »»» timezone | America/Fort_Nelson |
| »»» timezone | America/Fort_Wayne |
| »»» timezone | America/Fortaleza |
| »»» timezone | America/Glace_Bay |
| »»» timezone | America/Godthab |
| »»» timezone | America/Goose_Bay |
| »»» timezone | America/Grand_Turk |
| »»» timezone | America/Grenada |
| »»» timezone | America/Guadeloupe |
| »»» timezone | America/Guatemala |
| »»» timezone | America/Guayaquil |
| »»» timezone | America/Guyana |
| »»» timezone | America/Halifax |
| »»» timezone | America/Havana |
| »»» timezone | America/Hermosillo |
| »»» timezone | America/Indiana/Indianapolis |
| »»» timezone | America/Indiana/Knox |
| »»» timezone | America/Indiana/Marengo |
| »»» timezone | America/Indiana/Petersburg |
| »»» timezone | America/Indiana/Tell_City |
| »»» timezone | America/Indiana/Vevay |
| »»» timezone | America/Indiana/Vincennes |
| »»» timezone | America/Indiana/Winamac |
| »»» timezone | America/Indianapolis |
| »»» timezone | America/Inuvik |
| »»» timezone | America/Iqaluit |
| »»» timezone | America/Jamaica |
| »»» timezone | America/Jujuy |
| »»» timezone | America/Juneau |
| »»» timezone | America/Kentucky/Louisville |
| »»» timezone | America/Kentucky/Monticello |
| »»» timezone | America/Knox_IN |
| »»» timezone | America/Kralendijk |
| »»» timezone | America/La_Paz |
| »»» timezone | America/Lima |
| »»» timezone | America/Los_Angeles |
| »»» timezone | America/Louisville |
| »»» timezone | America/Lower_Princes |
| »»» timezone | America/Maceio |
| »»» timezone | America/Managua |
| »»» timezone | America/Manaus |
| »»» timezone | America/Marigot |
| »»» timezone | America/Martinique |
| »»» timezone | America/Matamoros |
| »»» timezone | America/Mazatlan |
| »»» timezone | America/Mendoza |
| »»» timezone | America/Menominee |
| »»» timezone | America/Merida |
| »»» timezone | America/Metlakatla |
| »»» timezone | America/Mexico_City |
| »»» timezone | America/Miquelon |
| »»» timezone | America/Moncton |
| »»» timezone | America/Monterrey |
| »»» timezone | America/Montevideo |
| »»» timezone | America/Montreal |
| »»» timezone | America/Montserrat |
| »»» timezone | America/Nassau |
| »»» timezone | America/New_York |
| »»» timezone | America/Nipigon |
| »»» timezone | America/Nome |
| »»» timezone | America/Noronha |
| »»» timezone | America/North_Dakota/Beulah |
| »»» timezone | America/North_Dakota/Center |
| »»» timezone | America/North_Dakota/New_Salem |
| »»» timezone | America/Nuuk |
| »»» timezone | America/Ojinaga |
| »»» timezone | America/Panama |
| »»» timezone | America/Pangnirtung |
| »»» timezone | America/Paramaribo |
| »»» timezone | America/Phoenix |
| »»» timezone | America/Port-au-Prince |
| »»» timezone | America/Port_of_Spain |
| »»» timezone | America/Porto_Acre |
| »»» timezone | America/Porto_Velho |
| »»» timezone | America/Puerto_Rico |
| »»» timezone | America/Punta_Arenas |
| »»» timezone | America/Rainy_River |
| »»» timezone | America/Rankin_Inlet |
| »»» timezone | America/Recife |
| »»» timezone | America/Regina |
| »»» timezone | America/Resolute |
| »»» timezone | America/Rio_Branco |
| »»» timezone | America/Rosario |
| »»» timezone | America/Santa_Isabel |
| »»» timezone | America/Santarem |
| »»» timezone | America/Santiago |
| »»» timezone | America/Santo_Domingo |
| »»» timezone | America/Sao_Paulo |
| »»» timezone | America/Scoresbysund |
| »»» timezone | America/Shiprock |
| »»» timezone | America/Sitka |
| »»» timezone | America/St_Barthelemy |
| »»» timezone | America/St_Johns |
| »»» timezone | America/St_Kitts |
| »»» timezone | America/St_Lucia |
| »»» timezone | America/St_Thomas |
| »»» timezone | America/St_Vincent |
| »»» timezone | America/Swift_Current |
| »»» timezone | America/Tegucigalpa |
| »»» timezone | America/Thule |
| »»» timezone | America/Thunder_Bay |
| »»» timezone | America/Tijuana |
| »»» timezone | America/Toronto |
| »»» timezone | America/Tortola |
| »»» timezone | America/Vancouver |
| »»» timezone | America/Virgin |
| »»» timezone | America/Whitehorse |
| »»» timezone | America/Winnipeg |
| »»» timezone | America/Yakutat |
| »»» timezone | America/Yellowknife |
| »»» timezone | American Samoa |
| »»» timezone | Amsterdam |
| »»» timezone | Antarctica/Casey |
| »»» timezone | Antarctica/Davis |
| »»» timezone | Antarctica/DumontDUrville |
| »»» timezone | Antarctica/Macquarie |
| »»» timezone | Antarctica/Mawson |
| »»» timezone | Antarctica/McMurdo |
| »»» timezone | Antarctica/Palmer |
| »»» timezone | Antarctica/Rothera |
| »»» timezone | Antarctica/South_Pole |
| »»» timezone | Antarctica/Syowa |
| »»» timezone | Antarctica/Troll |
| »»» timezone | Antarctica/Vostok |
| »»» timezone | Arctic/Longyearbyen |
| »»» timezone | Arizona |
| »»» timezone | Asia/Aden |
| »»» timezone | Asia/Almaty |
| »»» timezone | Asia/Amman |
| »»» timezone | Asia/Anadyr |
| »»» timezone | Asia/Aqtau |
| »»» timezone | Asia/Aqtobe |
| »»» timezone | Asia/Ashgabat |
| »»» timezone | Asia/Ashkhabad |
| »»» timezone | Asia/Atyrau |
| »»» timezone | Asia/Baghdad |
| »»» timezone | Asia/Bahrain |
| »»» timezone | Asia/Baku |
| »»» timezone | Asia/Bangkok |
| »»» timezone | Asia/Barnaul |
| »»» timezone | Asia/Beirut |
| »»» timezone | Asia/Bishkek |
| »»» timezone | Asia/Brunei |
| »»» timezone | Asia/Calcutta |
| »»» timezone | Asia/Chita |
| »»» timezone | Asia/Choibalsan |
| »»» timezone | Asia/Chongqing |
| »»» timezone | Asia/Chungking |
| »»» timezone | Asia/Colombo |
| »»» timezone | Asia/Dacca |
| »»» timezone | Asia/Damascus |
| »»» timezone | Asia/Dhaka |
| »»» timezone | Asia/Dili |
| »»» timezone | Asia/Dubai |
| »»» timezone | Asia/Dushanbe |
| »»» timezone | Asia/Famagusta |
| »»» timezone | Asia/Gaza |
| »»» timezone | Asia/Harbin |
| »»» timezone | Asia/Hebron |
| »»» timezone | Asia/Ho_Chi_Minh |
| »»» timezone | Asia/Hong_Kong |
| »»» timezone | Asia/Hovd |
| »»» timezone | Asia/Irkutsk |
| »»» timezone | Asia/Istanbul |
| »»» timezone | Asia/Jakarta |
| »»» timezone | Asia/Jayapura |
| »»» timezone | Asia/Jerusalem |
| »»» timezone | Asia/Kabul |
| »»» timezone | Asia/Kamchatka |
| »»» timezone | Asia/Karachi |
| »»» timezone | Asia/Kashgar |
| »»» timezone | Asia/Kathmandu |
| »»» timezone | Asia/Katmandu |
| »»» timezone | Asia/Khandyga |
| »»» timezone | Asia/Kolkata |
| »»» timezone | Asia/Krasnoyarsk |
| »»» timezone | Asia/Kuala_Lumpur |
| »»» timezone | Asia/Kuching |
| »»» timezone | Asia/Kuwait |
| »»» timezone | Asia/Macao |
| »»» timezone | Asia/Macau |
| »»» timezone | Asia/Magadan |
| »»» timezone | Asia/Makassar |
| »»» timezone | Asia/Manila |
| »»» timezone | Asia/Muscat |
| »»» timezone | Asia/Nicosia |
| »»» timezone | Asia/Novokuznetsk |
| »»» timezone | Asia/Novosibirsk |
| »»» timezone | Asia/Omsk |
| »»» timezone | Asia/Oral |
| »»» timezone | Asia/Phnom_Penh |
| »»» timezone | Asia/Pontianak |
| »»» timezone | Asia/Pyongyang |
| »»» timezone | Asia/Qatar |
| »»» timezone | Asia/Qostanay |
| »»» timezone | Asia/Qyzylorda |
| »»» timezone | Asia/Rangoon |
| »»» timezone | Asia/Riyadh |
| »»» timezone | Asia/Saigon |
| »»» timezone | Asia/Sakhalin |
| »»» timezone | Asia/Samarkand |
| »»» timezone | Asia/Seoul |
| »»» timezone | Asia/Shanghai |
| »»» timezone | Asia/Singapore |
| »»» timezone | Asia/Srednekolymsk |
| »»» timezone | Asia/Taipei |
| »»» timezone | Asia/Tashkent |
| »»» timezone | Asia/Tbilisi |
| »»» timezone | Asia/Tehran |
| »»» timezone | Asia/Tel_Aviv |
| »»» timezone | Asia/Thimbu |
| »»» timezone | Asia/Thimphu |
| »»» timezone | Asia/Tokyo |
| »»» timezone | Asia/Tomsk |
| »»» timezone | Asia/Ujung_Pandang |
| »»» timezone | Asia/Ulaanbaatar |
| »»» timezone | Asia/Ulan_Bator |
| »»» timezone | Asia/Urumqi |
| »»» timezone | Asia/Ust-Nera |
| »»» timezone | Asia/Vientiane |
| »»» timezone | Asia/Vladivostok |
| »»» timezone | Asia/Yakutsk |
| »»» timezone | Asia/Yangon |
| »»» timezone | Asia/Yekaterinburg |
| »»» timezone | Asia/Yerevan |
| »»» timezone | Astana |
| »»» timezone | Athens |
| »»» timezone | Atlantic Time (Canada) |
| »»» timezone | Atlantic/Azores |
| »»» timezone | Atlantic/Bermuda |
| »»» timezone | Atlantic/Canary |
| »»» timezone | Atlantic/Cape_Verde |
| »»» timezone | Atlantic/Faeroe |
| »»» timezone | Atlantic/Faroe |
| »»» timezone | Atlantic/Jan_Mayen |
| »»» timezone | Atlantic/Madeira |
| »»» timezone | Atlantic/Reykjavik |
| »»» timezone | Atlantic/South_Georgia |
| »»» timezone | Atlantic/St_Helena |
| »»» timezone | Atlantic/Stanley |
| »»» timezone | Auckland |
| »»» timezone | Australia/ACT |
| »»» timezone | Australia/Adelaide |
| »»» timezone | Australia/Brisbane |
| »»» timezone | Australia/Broken_Hill |
| »»» timezone | Australia/Canberra |
| »»» timezone | Australia/Currie |
| »»» timezone | Australia/Darwin |
| »»» timezone | Australia/Eucla |
| »»» timezone | Australia/Hobart |
| »»» timezone | Australia/LHI |
| »»» timezone | Australia/Lindeman |
| »»» timezone | Australia/Lord_Howe |
| »»» timezone | Australia/Melbourne |
| »»» timezone | Australia/NSW |
| »»» timezone | Australia/North |
| »»» timezone | Australia/Perth |
| »»» timezone | Australia/Queensland |
| »»» timezone | Australia/South |
| »»» timezone | Australia/Sydney |
| »»» timezone | Australia/Tasmania |
| »»» timezone | Australia/Victoria |
| »»» timezone | Australia/West |
| »»» timezone | Australia/Yancowinna |
| »»» timezone | Azores |
| »»» timezone | Baghdad |
| »»» timezone | Baku |
| »»» timezone | Bangkok |
| »»» timezone | Beijing |
| »»» timezone | Belgrade |
| »»» timezone | Berlin |
| »»» timezone | Bern |
| »»» timezone | Bogota |
| »»» timezone | Brasilia |
| »»» timezone | Bratislava |
| »»» timezone | Brazil/Acre |
| »»» timezone | Brazil/DeNoronha |
| »»» timezone | Brazil/East |
| »»» timezone | Brazil/West |
| »»» timezone | Brisbane |
| »»» timezone | Brussels |
| »»» timezone | Bucharest |
| »»» timezone | Budapest |
| »»» timezone | Buenos Aires |
| »»» timezone | CET |
| »»» timezone | CST6CDT |
| »»» timezone | Cairo |
| »»» timezone | Canada/Atlantic |
| »»» timezone | Canada/Central |
| »»» timezone | Canada/Eastern |
| »»» timezone | Canada/Mountain |
| »»» timezone | Canada/Newfoundland |
| »»» timezone | Canada/Pacific |
| »»» timezone | Canada/Saskatchewan |
| »»» timezone | Canada/Yukon |
| »»» timezone | Canberra |
| »»» timezone | Cape Verde Is. |
| »»» timezone | Caracas |
| »»» timezone | Casablanca |
| »»» timezone | Central America |
| »»» timezone | Central Time (US & Canada) |
| »»» timezone | Chatham Is. |
| »»» timezone | Chennai |
| »»» timezone | Chihuahua |
| »»» timezone | Chile/Continental |
| »»» timezone | Chile/EasterIsland |
| »»» timezone | Chongqing |
| »»» timezone | Copenhagen |
| »»» timezone | Cuba |
| »»» timezone | Darwin |
| »»» timezone | Dhaka |
| »»» timezone | Dublin |
| »»» timezone | EET |
| »»» timezone | EST |
| »»» timezone | EST5EDT |
| »»» timezone | Eastern Time (US & Canada) |
| »»» timezone | Edinburgh |
| »»» timezone | Egypt |
| »»» timezone | Eire |
| »»» timezone | Ekaterinburg |
| »»» timezone | Etc/GMT |
| »»» timezone | Etc/GMT+0 |
| »»» timezone | Etc/GMT+1 |
| »»» timezone | Etc/GMT+10 |
| »»» timezone | Etc/GMT+11 |
| »»» timezone | Etc/GMT+12 |
| »»» timezone | Etc/GMT+2 |
| »»» timezone | Etc/GMT+3 |
| »»» timezone | Etc/GMT+4 |
| »»» timezone | Etc/GMT+5 |
| »»» timezone | Etc/GMT+6 |
| »»» timezone | Etc/GMT+7 |
| »»» timezone | Etc/GMT+8 |
| »»» timezone | Etc/GMT+9 |
| »»» timezone | Etc/GMT-0 |
| »»» timezone | Etc/GMT-1 |
| »»» timezone | Etc/GMT-10 |
| »»» timezone | Etc/GMT-11 |
| »»» timezone | Etc/GMT-12 |
| »»» timezone | Etc/GMT-13 |
| »»» timezone | Etc/GMT-14 |
| »»» timezone | Etc/GMT-2 |
| »»» timezone | Etc/GMT-3 |
| »»» timezone | Etc/GMT-4 |
| »»» timezone | Etc/GMT-5 |
| »»» timezone | Etc/GMT-6 |
| »»» timezone | Etc/GMT-7 |
| »»» timezone | Etc/GMT-8 |
| »»» timezone | Etc/GMT-9 |
| »»» timezone | Etc/GMT0 |
| »»» timezone | Etc/Greenwich |
| »»» timezone | Etc/UCT |
| »»» timezone | Etc/UTC |
| »»» timezone | Etc/Universal |
| »»» timezone | Etc/Zulu |
| »»» timezone | Europe/Amsterdam |
| »»» timezone | Europe/Andorra |
| »»» timezone | Europe/Astrakhan |
| »»» timezone | Europe/Athens |
| »»» timezone | Europe/Belfast |
| »»» timezone | Europe/Belgrade |
| »»» timezone | Europe/Berlin |
| »»» timezone | Europe/Bratislava |
| »»» timezone | Europe/Brussels |
| »»» timezone | Europe/Bucharest |
| »»» timezone | Europe/Budapest |
| »»» timezone | Europe/Busingen |
| »»» timezone | Europe/Chisinau |
| »»» timezone | Europe/Copenhagen |
| »»» timezone | Europe/Dublin |
| »»» timezone | Europe/Gibraltar |
| »»» timezone | Europe/Guernsey |
| »»» timezone | Europe/Helsinki |
| »»» timezone | Europe/Isle_of_Man |
| »»» timezone | Europe/Istanbul |
| »»» timezone | Europe/Jersey |
| »»» timezone | Europe/Kaliningrad |
| »»» timezone | Europe/Kiev |
| »»» timezone | Europe/Kirov |
| »»» timezone | Europe/Kyiv |
| »»» timezone | Europe/Lisbon |
| »»» timezone | Europe/Ljubljana |
| »»» timezone | Europe/London |
| »»» timezone | Europe/Luxembourg |
| »»» timezone | Europe/Madrid |
| »»» timezone | Europe/Malta |
| »»» timezone | Europe/Mariehamn |
| »»» timezone | Europe/Minsk |
| »»» timezone | Europe/Monaco |
| »»» timezone | Europe/Moscow |
| »»» timezone | Europe/Nicosia |
| »»» timezone | Europe/Oslo |
| »»» timezone | Europe/Paris |
| »»» timezone | Europe/Podgorica |
| »»» timezone | Europe/Prague |
| »»» timezone | Europe/Riga |
| »»» timezone | Europe/Rome |
| »»» timezone | Europe/Samara |
| »»» timezone | Europe/San_Marino |
| »»» timezone | Europe/Sarajevo |
| »»» timezone | Europe/Saratov |
| »»» timezone | Europe/Simferopol |
| »»» timezone | Europe/Skopje |
| »»» timezone | Europe/Sofia |
| »»» timezone | Europe/Stockholm |
| »»» timezone | Europe/Tallinn |
| »»» timezone | Europe/Tirane |
| »»» timezone | Europe/Tiraspol |
| »»» timezone | Europe/Ulyanovsk |
| »»» timezone | Europe/Uzhgorod |
| »»» timezone | Europe/Vaduz |
| »»» timezone | Europe/Vatican |
[...]
